'use strict';

var clsx = require('clsx');
var React = require('react');
var context = require('./context.js');

const AccordionFace = ({
  children,
  defaultOpen = false,
  direction = "horizontal"
}) => {
  const [open, setOpen] = React.useState(defaultOpen);
  const toggle = React.useCallback(() => setOpen((prev) => !prev), []);
  return /* @__PURE__ */ React.createElement(context.Context.Provider, { value: { open, toggle } }, /* @__PURE__ */ React.createElement(
    "div",
    {
      className: clsx("flex", {
        "flex flex-col": direction === "vertical"
      })
    },
    children
  ));
};

exports.AccordionFace = AccordionFace;
