'use strict';

var React = require('react');
var Content = require('./Content.js');
var Face = require('./Face.js');
var Trigger = require('./Trigger.js');

const AccordionRoot = ({
  children,
  defaultOpen,
  label,
  floating,
  onOpen,
  invertedArrow,
  onClose,
  direction = "horizontal"
}) => {
  return /* @__PURE__ */ React.createElement(Face.AccordionFace, { defaultOpen, direction }, /* @__PURE__ */ React.createElement(
    Trigger.AccordionTrigger,
    {
      label,
      floating,
      onOpen,
      onClose,
      invertedArrow,
      direction
    }
  ), /* @__PURE__ */ React.createElement(Content.AccordionContent, { direction }, children));
};

exports.AccordionRoot = AccordionRoot;
