'use strict';

var React = require('react');

const Context = React.createContext({ open: false });
const useAccordionContext = () => {
  const context = React.useContext(Context);
  if (!context) {
    throw new Error("useAccordionContext must be used within a Accordion");
  }
  return context;
};

exports.Context = Context;
exports.useAccordionContext = useAccordionContext;
