'use strict';

var clsx = require('clsx');
var React = require('react');
require('@internationalized/date');
var string = require('../utils/string.js');

const Avatar = ({ src, name, className, ...rest }) => {
  const [hasError, setHasError] = React.useState(false);
  React.useEffect(() => {
    setHasError(false);
  }, [src]);
  return /* @__PURE__ */ React.createElement(
    "div",
    {
      ...rest,
      className: clsx(
        "rounded-pill bg-secondary-dark h-mega flex items-center justify-center cursor-pointer aspect-square",
        className
      )
    },
    src && !hasError ? /* @__PURE__ */ React.createElement(
      "img",
      {
        src,
        alt: name,
        className: "rounded-pill aspect-square h-mega",
        onError: () => setHasError(true),
        "data-testid": "avatar-img"
      }
    ) : /* @__PURE__ */ React.createElement("p", { className: "font-bold text-white text-base", "data-testid": "avatar-p" }, string.getNameInitials(name))
  );
};

exports.Avatar = Avatar;
