'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

const Badge = React.forwardRef((props, ref) => {
  const { value, variants, ...rest } = props;
  return /* @__PURE__ */ React__namespace.createElement(
    "div",
    {
      ref,
      className: cortexCore.badge({
        className: `relative ${variants?.className}`,
        intent: variants?.intent
      }),
      ...rest
    },
    value
  );
});
function getDisplayValue(value) {
  const number = Number(value);
  if (isNaN(number)) return value;
  return number > 99 ? "99+" : number;
}
const BadgeAnchor = React.forwardRef((props, ref) => {
  const { value, variants, children, ...rest } = props;
  return /* @__PURE__ */ React__namespace.createElement("div", { className: cortexCore.containerBadge() }, children, /* @__PURE__ */ React__namespace.createElement("div", { ref, className: cortexCore.badge(variants), ...rest }, getDisplayValue(value)));
});

exports.Badge = Badge;
exports.BadgeAnchor = BadgeAnchor;
