'use strict';

var clsx = require('clsx');
var React = require('react');
var md = require('react-icons/md');

const BreadcrumbItem = ({
  isLast,
  Component,
  componentProps,
  title
}) => {
  return /* @__PURE__ */ React.createElement(Component, { ...componentProps, key: title }, /* @__PURE__ */ React.createElement("div", { className: "flex gap-x-mili items-center" }, /* @__PURE__ */ React.createElement(
    "p",
    {
      className: clsx(
        "no-underline",
        isLast ? "text-secondary-medium cursor-default" : "text-secondary-xdark cursor-pointer"
      )
    },
    title
  ), !isLast ? /* @__PURE__ */ React.createElement(
    md.MdOutlineKeyboardDoubleArrowRight,
    {
      className: "mt-[0.125rem] text-primary-medium",
      "data-testid": "breadcrumb-item-icon"
    }
  ) : /* @__PURE__ */ React.createElement(React.Fragment, null)));
};

exports.BreadcrumbItem = BreadcrumbItem;
