'use strict';

var React = require('react');
var Card = require('../Card.js');
var BreadcrumbItem = require('./BreadcrumbItem.js');

const Breadcrumbs = (props) => {
  const { breadcrumbs, ...rest } = props;
  return /* @__PURE__ */ React.createElement(Card.Card, { className: "flex gap-x-mili w-full items-center py-mili", ...rest }, breadcrumbs.map((item, index) => {
    const isLast = index === breadcrumbs.length - 1;
    return /* @__PURE__ */ React.createElement(
      BreadcrumbItem.BreadcrumbItem,
      {
        key: `${item.title}-${index}`,
        ...item,
        isLast
      }
    );
  }));
};

exports.Breadcrumbs = Breadcrumbs;
