'use strict';

var React = require('react');
var useCalendar = require('../../hooks/useCalendar.js');
require('@internationalized/date');
require('react-aria');
require('react-stately');
require('../Popover/Context.js');
require('react-dropzone');
require('uuid');
require('@floating-ui/react');
require('currency.js');
var CalendarGrid = require('./CalendarGrid.js');
var CalendarHeader = require('./CalendarHeader.js');

const Calendar = ({ value, onChange }) => {
  const { calendarProps, title, state } = useCalendar.useCalendar({ value, onChange });
  return /* @__PURE__ */ React.createElement("div", { ...calendarProps, className: "calendar", "data-testid": "calendar-div" }, /* @__PURE__ */ React.createElement(
    CalendarHeader.CalendarHeader,
    {
      onClickPrevButton: () => state.focusPreviousPage(),
      onClickNextButton: () => state.focusNextPage(),
      title
    }
  ), /* @__PURE__ */ React.createElement(CalendarGrid.CalendarGrid, { state }));
};

exports.Calendar = Calendar;
