'use strict';

var React = require('react');
require('@internationalized/date');
require('react-aria');
require('react-stately');
var useCalendarCell = require('../../hooks/useCalendarCell.js');
require('../Popover/Context.js');
require('react-dropzone');
require('uuid');
require('@floating-ui/react');
require('currency.js');
var calendarCell = require('../../styles/calendar-cell.js');
require('../../styles/date-picker-input-base.js');
require('../../styles/date-segment.js');
require('../../styles/groupButton.js');
require('../../styles/progressBar.js');
var Table = require('../Table.js');

const { cell, button } = calendarCell.calendarCell();
const CalendarCell = ({ state, date }) => {
  const {
    ref,
    cellProps,
    buttonProps,
    isSelected,
    isOutsideVisibleRange,
    formattedDate,
    isSelectionStart,
    isSelectionEnd,
    inRange
  } = useCalendarCell.useCalendarCell({ state, date });
  return /* @__PURE__ */ React.createElement(
    Table.Td,
    {
      ...cellProps,
      "data-testid": "calendar-cell-td",
      className: cell({
        isOutsideVisibleRange,
        isSelected,
        isSelectionStart,
        isSelectionEnd,
        inRange
      })
    },
    /* @__PURE__ */ React.createElement(
      "div",
      {
        ...buttonProps,
        ref,
        className: button({ isOutsideVisibleRange })
      },
      formattedDate
    )
  );
};

exports.CalendarCell = CalendarCell;
