'use strict';

var React = require('react');
require('@internationalized/date');
require('react-aria');
require('react-stately');
var useCalendarGrid = require('../../hooks/useCalendarGrid.js');
require('../Popover/Context.js');
require('react-dropzone');
require('uuid');
require('@floating-ui/react');
require('currency.js');
var CalendarGridBodyRows = require('./CalendarGridBodyRows.js');
var CalendarGridHeaderRow = require('./CalendarGridHeaderRow.js');

const CalendarGrid = ({ state }) => {
  const { gridProps, headerProps, weekDays } = useCalendarGrid.useCalendarGrid({ state });
  return /* @__PURE__ */ React.createElement(
    "div",
    {
      className: "bg-white rounded-micro px-deca py-mili",
      "data-testid": "calendar-grid"
    },
    /* @__PURE__ */ React.createElement("table", { ...gridProps, className: "border-separate border-spacing-y-nano" }, /* @__PURE__ */ React.createElement("thead", { ...headerProps }, /* @__PURE__ */ React.createElement(CalendarGridHeaderRow.CalendarGridHeaderRow, { weekDays })), /* @__PURE__ */ React.createElement("tbody", null, /* @__PURE__ */ React.createElement(CalendarGridBodyRows.CalendarGridBodyRows, { state })))
  );
};

exports.CalendarGrid = CalendarGrid;
