'use strict';

var React = require('react');
var fa = require('react-icons/fa');
var Button = require('../Button.js');

const CalendarHeader = ({
  onClickPrevButton,
  onClickNextButton,
  title
}) => {
  return /* @__PURE__ */ React.createElement(
    "div",
    {
      className: "flex flex-row justify-between items-center gap-x-deca bg-miscellaneous-body p-mili",
      "data-testid": "calendar-header"
    },
    /* @__PURE__ */ React.createElement(
      Button.Button,
      {
        onClick: onClickPrevButton,
        variants: { variant: "text", intent: "secondary", size: "small" },
        "data-testid": "calendar-header-prev-button",
        type: "button"
      },
      /* @__PURE__ */ React.createElement(fa.FaChevronLeft, null)
    ),
    /* @__PURE__ */ React.createElement("span", { className: "font-bold capitalize" }, title),
    /* @__PURE__ */ React.createElement(
      Button.Button,
      {
        onClick: onClickNextButton,
        variants: { variant: "text", intent: "secondary", size: "small" },
        "data-testid": "calendar-header-next-button",
        type: "button"
      },
      /* @__PURE__ */ React.createElement(fa.FaChevronRight, null)
    )
  );
};

exports.CalendarHeader = CalendarHeader;
