'use strict';

var React = require('react');
require('@internationalized/date');
require('react-aria');
require('react-stately');
require('../Popover/Context.js');
require('react-dropzone');
require('uuid');
require('@floating-ui/react');
require('currency.js');
var useRangeCalendar = require('../../hooks/useRangeCalendar.js');
var CalendarGrid = require('./CalendarGrid.js');
var CalendarHeader = require('./CalendarHeader.js');

const RangeCalendar = ({ value, onChange }) => {
  const { calendarProps, state, title, ref } = useRangeCalendar.useRangeCalendar({
    value,
    onChange
  });
  return /* @__PURE__ */ React.createElement(
    "div",
    {
      ...calendarProps,
      className: "calendar",
      ref,
      "data-testid": "calendar-range-div"
    },
    /* @__PURE__ */ React.createElement(
      CalendarHeader.CalendarHeader,
      {
        onClickPrevButton: () => state.focusPreviousPage(),
        onClickNextButton: () => state.focusNextPage(),
        title
      }
    ),
    /* @__PURE__ */ React.createElement(CalendarGrid.CalendarGrid, { state })
  );
};

exports.RangeCalendar = RangeCalendar;
