'use strict';

var React = require('react');
var Button = require('../Button.js');
var reactSpringCarousel = require('react-spring-carousel');
var io = require('react-icons/io');
var CarouselItem = require('./CarouselItem.js');

const Carousel = ({ images }) => {
  const itemsCarousel = images.map((imageProp, i) => ({
    id: `${imageProp.alt}-${i}`,
    renderItem: /* @__PURE__ */ React.createElement(CarouselItem.CarouselItem, { item: imageProp })
  }));
  const { carouselFragment, slideToNextItem, slideToPrevItem } = reactSpringCarousel.useSpringCarousel({
    withLoop: true,
    items: itemsCarousel
  });
  return /* @__PURE__ */ React.createElement("div", { className: "overflow-hidden w-fit relative" }, itemsCarousel.length > 1 ? /* @__PURE__ */ React.createElement(React.Fragment, null, /* @__PURE__ */ React.createElement(
    Button.Button,
    {
      type: "button",
      "data-testid": "button-carousel-prev",
      className: "z-absolute absolute left-deca top-[50%]  transform -translate-y-[50%] p-centi hidden lg:flex",
      size: "square",
      onClick: slideToPrevItem
    },
    /* @__PURE__ */ React.createElement(io.IoIosArrowBack, null)
  ), /* @__PURE__ */ React.createElement(
    Button.Button,
    {
      type: "button",
      "data-testid": "button-carousel-next",
      size: "square",
      className: "z-absolute absolute right-deca top-[50%] transform -translate-y-[50%] p-centi hidden lg:flex",
      onClick: slideToNextItem
    },
    /* @__PURE__ */ React.createElement(io.IoIosArrowForward, null)
  )) : /* @__PURE__ */ React.createElement(React.Fragment, null), carouselFragment);
};

exports.Carousel = Carousel;
