'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var React = require('react');

const Checkbox = React.forwardRef((props, ref) => {
  const localRef = React.useRef(null);
  const { className, indeterminate, ...rest } = props;
  const setIndeterminate = React.useCallback((value) => {
    if (localRef?.current) {
      localRef.current.indeterminate = value;
      localRef.current.checked = false;
    }
  }, []);
  React.useEffect(() => {
    setIndeterminate(Boolean(indeterminate));
  }, [indeterminate]);
  React.useImperativeHandle(ref, () => {
    return {
      ...localRef.current,
      setIndeterminate
    };
  });
  return /* @__PURE__ */ React.createElement(
    "input",
    {
      type: "checkbox",
      className: cortexCore.checkbox({ className }),
      ref: localRef,
      ...rest
    }
  );
});

exports.Checkbox = Checkbox;
