'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var React = require('react');
var io = require('react-icons/io');
var lia = require('react-icons/lia');
require('../../styles/calendar-cell.js');
var datePickerInputBase = require('../../styles/date-picker-input-base.js');
require('../../styles/date-segment.js');
require('../../styles/groupButton.js');
require('../../styles/progressBar.js');
var index = require('../Input/index.js');

const { icon } = datePickerInputBase.datePickerInputBase();
const DatePickerInputBase = ({
  children,
  variants,
  label,
  disabled = false,
  value,
  onClean,
  onToggle
}) => {
  const showCloseIcon = React.useMemo(() => {
    const hasDate = value != void 0;
    const hasStartDate = value?.start != void 0;
    const hasEndDate = value?.end != void 0;
    if (value && "start" in value) return hasStartDate && hasEndDate;
    return hasDate;
  }, [value]);
  return /* @__PURE__ */ React.createElement(index.Input.Face, { variants, "data-testid": "date-picker-input-base" }, /* @__PURE__ */ React.createElement("label", { className: cortexCore.labelStyle({}) }, label), /* @__PURE__ */ React.createElement("div", { className: cortexCore.inputBox("", label, "w-full flex flex-row") }, children), /* @__PURE__ */ React.createElement(index.Input.Right, { className: "flex h-full justify-center" }, showCloseIcon ? /* @__PURE__ */ React.createElement(
    "button",
    {
      className: "bg-transparent",
      onClick: onClean,
      disabled,
      "data-testid": "date-picker-input-base-clean-button",
      type: "button"
    },
    /* @__PURE__ */ React.createElement(
      io.IoMdClose,
      {
        className: icon({ disabled }),
        "data-testid": "date-picker-input-base-clean-icon"
      }
    )
  ) : /* @__PURE__ */ React.createElement(
    "button",
    {
      className: "bg-transparent",
      onClick: onToggle,
      disabled,
      "data-testid": "date-picker-input-base-calendar-button",
      type: "button"
    },
    /* @__PURE__ */ React.createElement(
      lia.LiaCalendar,
      {
        className: icon({ disabled }),
        "data-testid": "date-picker-input-base-calendar-icon"
      }
    )
  )));
};

exports.DatePickerInputBase = DatePickerInputBase;
