'use strict';

var clsx = require('clsx');
var React = require('react');
require('../styles/calendar-cell.js');
require('../styles/date-picker-input-base.js');
require('../styles/date-segment.js');
var groupButton = require('../styles/groupButton.js');
require('../styles/progressBar.js');

const { button, container, active, inactive, firstButton, lastButton } = groupButton.groupButton();
const GroupButton = (props) => {
  const {
    options,
    value,
    renderKey,
    renderOption,
    onChange,
    customStyles,
    disableAllOptions,
    className
  } = props;
  return /* @__PURE__ */ React.createElement(
    "div",
    {
      className: container({ className }),
      "data-testid": "group-button-container"
    },
    options.map((option) => {
      const key = renderKey?.(option.value);
      const isActive = key === renderKey?.(value);
      return /* @__PURE__ */ React.createElement(
        "button",
        {
          disabled: disableAllOptions,
          value: String(value),
          onClick: () => onChange(option.value),
          className: clsx(
            button(),
            firstButton({ className: customStyles?.firstButton }),
            lastButton({ className: customStyles?.lastButton }),
            !isActive && inactive({ className: customStyles?.inactive }),
            isActive && active({ className: customStyles?.active })
          ),
          key
        },
        renderOption(option.value)
      );
    })
  );
};

exports.GroupButton = GroupButton;
