'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var clsx = require('clsx');
var React = require('react');

const InputBox = React.forwardRef(
  ({ id, name, variants, label, placeholder, className, ...rest }, ref) => {
    return /* @__PURE__ */ React.createElement("div", { className: "flex w-full flex-col" }, /* @__PURE__ */ React.createElement(
      "input",
      {
        id: id ?? name,
        name,
        placeholder: placeholder ?? " ",
        className: clsx(cortexCore.inputBox(placeholder, label, className)),
        ...rest,
        ref
      }
    ), /* @__PURE__ */ React.createElement(
      "label",
      {
        htmlFor: id ?? name,
        className: cortexCore.labelStyle({ intent: variants?.intent, placeholder }),
        "data-testid": "input-label"
      },
      label
    ));
  }
);

exports.InputBox = InputBox;
