'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var clsx = require('clsx');
var React = require('react');

const getValidChildren = (children) => {
  return React.Children.toArray(children).filter(
    (el) => React.isValidElement(el)
  );
};
const InputFace = React.forwardRef(
  ({ children, variants, className, ...rest }, ref) => {
    const clones = getValidChildren(children).map((el) => {
      return React.cloneElement(el, { ...el.props, variants });
    });
    return /* @__PURE__ */ React.createElement(
      "div",
      {
        "data-testid": "input-face",
        ...rest,
        className: clsx(cortexCore.input(variants), className),
        ref
      },
      clones
    );
  }
);

exports.InputFace = InputFace;
