'use strict';

var React = require('react');
var io5 = require('react-icons/io5');
require('@internationalized/date');
require('react-aria');
require('react-stately');
require('../Popover/Context.js');
var useDebouncedState = require('../../hooks/useDebouncedState.js');
require('react-dropzone');
require('uuid');
require('@floating-ui/react');
require('currency.js');
var Box = require('./Box.js');
var Face = require('./Face.js');
var Left = require('./Left.js');

const InputSearch = React.forwardRef(
  ({
    bounceTimeout = 1e3,
    variants,
    className,
    onChange,
    ...rest
  }, ref) => {
    const [bouncedTextEvent, setBouncedTextEvent] = React.useState();
    const [searchInputEvent, setSearchInputEvent] = useDebouncedState.useDebouncedState(void 0, setBouncedTextEvent, bounceTimeout);
    React.useEffect(() => {
      if (onChange && searchInputEvent) {
        onChange(searchInputEvent);
      }
    }, [bouncedTextEvent]);
    return /* @__PURE__ */ React.createElement(Face.InputFace, { variants, className }, /* @__PURE__ */ React.createElement(Left.InputLeft, null, /* @__PURE__ */ React.createElement(io5.IoSearchOutline, { "data-testid": "icon-search-left" })), /* @__PURE__ */ React.createElement(Box.InputBox, { ...rest, ref, onChange: (e) => setSearchInputEvent(e) }));
  }
);

exports.InputSearch = InputSearch;
