'use strict';

var clsx = require('clsx');
var React = require('react');

const Root = ({ children, className, ...rest }) => {
  return /* @__PURE__ */ React.createElement(
    "div",
    {
      ...rest,
      className: clsx.clsx(
        "border border-dashed border-secondary-medium rounded-mili bg-secondary-xlight overflow-hidden",
        className
      )
    },
    children
  );
};
const Header = ({ children, className, ...rest }) => {
  return /* @__PURE__ */ React.createElement("div", { ...rest, className: clsx.clsx("p-deca", className) }, children);
};
const Body = ({ children, className, ...rest }) => {
  return /* @__PURE__ */ React.createElement("div", { ...rest, className: clsx.clsx("overflow-y-scroll", className) }, children);
};
const ContainerList = ({ children, className, ...rest }) => {
  return /* @__PURE__ */ React.createElement("div", { ...rest, className: clsx.clsx("px-deca", className) }, children);
};
const Kanban = {
  Root,
  Header,
  Body,
  ContainerList
};

exports.Kanban = Kanban;
