'use strict';

var React = require('react');
var menubar = require('../../styles/menubar.js');
var clsx = require('clsx');
require('@internationalized/date');
require('react-aria');
require('react-stately');
require('../Popover/Context.js');
require('react-dropzone');
require('uuid');
require('@floating-ui/react');
require('currency.js');
require('../../provider/MenubarContext.js');
require('../../provider/SnackbarProvider.js');
var useMenubar = require('../../provider/useMenubar.js');

const { dropdown } = menubar.menubar();
const Dropdown = ({ children, ...rest }) => {
  const [show] = useMenubar.useMenubar();
  return /* @__PURE__ */ React.createElement(
    "div",
    {
      className: clsx(dropdown({ show }), menubar.animate({ show })),
      "data-testid": "dropdown-menubar",
      ...rest
    },
    children
  );
};

module.exports = Dropdown;
