'use strict';

var React = require('react');
var Categories = require('./Categories.js');
var Category = require('./Category.js');
var Dropdown = require('./Dropdown.js');
var Item = require('./Item.js');
var MostUsed = require('./MostUsed.js');
var MostUsedList = require('./MostUsedList.js');
var SubItem = require('./SubItem.js');

const DropdownRoot = ({
  mostUsed,
  options,
  labelMostUsed
}) => {
  const hasMostUsed = mostUsed && (mostUsed ?? []).length > 0;
  return /* @__PURE__ */ React.createElement(Dropdown, null, hasMostUsed ? /* @__PURE__ */ React.createElement(MostUsed, { label: labelMostUsed }, /* @__PURE__ */ React.createElement(MostUsedList, { mostUsed })) : /* @__PURE__ */ React.createElement(React.Fragment, null), /* @__PURE__ */ React.createElement(Categories, null, options.map((item, index) => /* @__PURE__ */ React.createElement(
    Category,
    {
      key: `${item.title}-${index}`,
      title: item.title,
      options: item.items,
      render: (prop) => {
        const { title, items, ...rest } = prop;
        return /* @__PURE__ */ React.createElement(
          Item,
          {
            key: prop.title,
            ...rest,
            parentCategoryTitle: item.title,
            title,
            subItems: items ?? [],
            renderSubItems: ({ title: title2, ...rest2 }) => {
              return /* @__PURE__ */ React.createElement(SubItem, { key: title2, ...rest2 }, title2);
            }
          },
          title
        );
      }
    }
  ))));
};

module.exports = DropdownRoot;
