'use strict';

var React = require('react');
var io5 = require('react-icons/io5');
require('@internationalized/date');
require('react-aria');
require('react-stately');
require('../Popover/Context.js');
require('react-dropzone');
require('uuid');
require('@floating-ui/react');
require('currency.js');
require('../../provider/MenubarContext.js');
require('../../provider/SnackbarProvider.js');
var useMenubar = require('../../provider/useMenubar.js');
var menubar = require('../../styles/menubar.js');
var Button = require('../Button.js');

const { header } = menubar.menubar();
const Header = ({ children, className, ...rest }) => {
  const [show, setShow] = useMenubar.useMenubar();
  return /* @__PURE__ */ React.createElement(
    "div",
    {
      className: header({ className }),
      "data-testid": "header-menubar",
      ...rest
    },
    /* @__PURE__ */ React.createElement(Button.Button, { variants: { size: "square" }, onClick: () => setShow(!show) }, show ? /* @__PURE__ */ React.createElement(io5.IoCloseOutline, { size: 16 }) : /* @__PURE__ */ React.createElement(io5.IoMenu, { size: 16 })),
    children
  );
};

module.exports = Header;
