'use strict';

var React = require('react');
var menubar = require('../../styles/menubar.js');
require('@internationalized/date');
require('react-aria');
require('react-stately');
require('../Popover/Context.js');
var useDimensions = require('../../hooks/useDimensions.js');
require('react-dropzone');
require('uuid');
require('@floating-ui/react');
require('currency.js');

const { container, label: labelClass, containerList } = menubar.mostUsed();
const MostUsed = ({ label, children, ...rest }) => {
  const { width } = useDimensions.useDimensions();
  if (width <= 640) return /* @__PURE__ */ React.createElement(React.Fragment, null);
  return /* @__PURE__ */ React.createElement("div", { className: container(), "data-testid": "most-used-menubar", ...rest }, /* @__PURE__ */ React.createElement("p", { className: labelClass() }, label), /* @__PURE__ */ React.createElement("div", { className: containerList() }, children));
};

module.exports = MostUsed;
