'use strict';

var React = require('react');
var menubar = require('../../styles/menubar.js');
var Card = require('../Card.js');
var ItemLink = require('./ItemLink.js');

const {
  title: titleClass,
  category: categoryClass,
  container
} = menubar.mostUsedItem();
const MostUsedItem = ({
  title,
  category,
  anchorProps,
  ...rest
}) => {
  return /* @__PURE__ */ React.createElement(ItemLink, { anchorProps, className: "flex flex-grow" }, /* @__PURE__ */ React.createElement(
    Card.Card,
    {
      ...rest,
      "data-testid": "most-used-item-menubar",
      className: container()
    },
    /* @__PURE__ */ React.createElement("p", { className: titleClass() }, title),
    /* @__PURE__ */ React.createElement("p", { className: categoryClass() }, category)
  ));
};

module.exports = MostUsedItem;
