'use strict';

var React = require('react');
var index = require('../Input/index.js');
var clsx = require('clsx');
var menubar = require('../../styles/menubar.js');
require('@internationalized/date');
require('react-aria');
require('react-stately');
require('../Popover/Context.js');
require('react-dropzone');
require('uuid');
require('@floating-ui/react');
require('currency.js');
require('../../provider/MenubarContext.js');
require('../../provider/SnackbarProvider.js');
var useMenubar = require('../../provider/useMenubar.js');

const Search = (props) => {
  const [show] = useMenubar.useMenubar();
  const { className } = props;
  return /* @__PURE__ */ React.createElement(
    index.Input.Search,
    {
      ...props,
      className: clsx("flex-1", menubar.animate({ show }), className)
    }
  );
};

module.exports = Search;
