'use strict';

var React = require('react');
var menubar = require('../../styles/menubar.js');
var ItemLink = require('./ItemLink.js');
require('@internationalized/date');
require('react-aria');
require('react-stately');
require('../Popover/Context.js');
require('react-dropzone');
require('uuid');
require('@floating-ui/react');
require('currency.js');
require('../../provider/MenubarContext.js');
require('../../provider/SnackbarProvider.js');
var useMenubar = require('../../provider/useMenubar.js');

const { container } = menubar.subItem();
const SubItem = ({
  children,
  anchorProps,
  className,
  ...rest
}) => {
  const [, setShow] = useMenubar.useMenubar();
  return /* @__PURE__ */ React.createElement(ItemLink, { anchorProps }, /* @__PURE__ */ React.createElement(
    "div",
    {
      ...rest,
      "data-testid": "sub-item-menubar",
      className: container({ className }),
      onClick: () => {
        setShow(false);
      }
    },
    children
  ));
};

module.exports = SubItem;
