'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var React = require('react');

const Modal = React.forwardRef((props, ref) => {
  const { open, onClose, children, className } = props;
  return /* @__PURE__ */ React.createElement("div", { ref, ...props }, /* @__PURE__ */ React.createElement(
    "div",
    {
      "data-testid": "overlay",
      className: cortexCore.overlay({ show: open }),
      onClick: onClose
    }
  ), /* @__PURE__ */ React.createElement("dialog", { "data-testid": "modal", className: cortexCore.modal({ open, className }) }, children));
});

exports.Modal = Modal;
