'use strict';

var react = require('@floating-ui/react');
var clsx = require('clsx');
var React = require('react');
var Context = require('./Context.js');

const PopoverContent = ({
  children,
  className,
  modal = false,
  style,
  ...rest
}) => {
  const {
    isOpen,
    x,
    y,
    strategy,
    floatingStyles,
    refs,
    getFloatingProps,
    context
  } = Context.usePopoverContext();
  return /* @__PURE__ */ React.createElement(React.Fragment, null, isOpen && /* @__PURE__ */ React.createElement(react.FloatingFocusManager, { ...rest, context, modal }, /* @__PURE__ */ React.createElement(
    "div",
    {
      ref: refs.setFloating,
      ...getFloatingProps(),
      className: clsx(
        "border border-gray-200 bg-black p-[0px] rounded-md shadow-lg z-popover",
        className
      ),
      style: {
        position: strategy,
        top: y ?? 0,
        left: x ?? 0,
        ...style,
        ...floatingStyles
      }
    },
    children
  )));
};

exports.PopoverContent = PopoverContent;
