'use strict';

var React = require('react');

const Context = React.createContext(void 0);
const usePopoverContext = () => {
  const context = React.useContext(Context);
  if (!context) {
    throw new Error("usePopoverContext must be used within a PopoverProvider");
  }
  return context;
};

exports.Context = Context;
exports.usePopoverContext = usePopoverContext;
