'use strict';

var React = require('react');
require('@internationalized/date');
require('react-aria');
require('react-stately');
var Context = require('./Context.js');
require('react-dropzone');
require('uuid');
var useFloatingElement = require('../../hooks/useFloatingElement.js');
require('currency.js');

const PopoverProvider = ({
  children,
  placement,
  trigger,
  fallbackPlacements,
  ...props
}) => {
  const floatingLogic = useFloatingElement.useFloatingElement({
    placement,
    trigger,
    fallbackPlacements,
    ...props
  });
  return /* @__PURE__ */ React.createElement(Context.Context.Provider, { value: { ...floatingLogic } }, children);
};

exports.PopoverProvider = PopoverProvider;
