'use strict';

require('@internationalized/date');
var react = require('../../utils/react.js');
var Context = require('./Context.js');

const isDisabledProps = {
  onClick: () => void 0,
  onKeyDown: () => void 0,
  onMouseDown: () => void 0,
  onKeyUp: () => void 0,
  onPointerDown: () => void 0
};
const PopoverTrigger = ({ children, disabled }) => {
  const { triggerProps } = Context.usePopoverContext();
  const isDisabled = disabled ?? children.props?.disabled;
  return react.cloneWithProps(children, {
    ...triggerProps,
    ...isDisabled ? isDisabledProps : {}
  });
};

exports.PopoverTrigger = PopoverTrigger;
