'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var React = require('react');

const { container, input, label: labelStyle } = cortexCore.radioButtonStyles();
const RadioButton = React.forwardRef(
  ({ label, reversed, id, ...rest }, ref) => {
    return /* @__PURE__ */ React.createElement(
      "div",
      {
        className: container({ reversed }),
        ref,
        "data-testid": "radio-button-container"
      },
      /* @__PURE__ */ React.createElement("input", { id, type: "radio", className: input(), ...rest }),
      label ? /* @__PURE__ */ React.createElement("label", { htmlFor: id, className: labelStyle() }, label) : /* @__PURE__ */ React.createElement(React.Fragment, null)
    );
  }
);

exports.RadioButton = RadioButton;
