'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var React = require('react');
require('@internationalized/date');
require('react-aria');
require('react-stately');
var Context = require('../Popover/Context.js');
require('react-dropzone');
require('uuid');
require('@floating-ui/react');
require('currency.js');
var useSelectGroupedOptions = require('../../hooks/useSelectGroupedOptions.js');
var Option = require('./Option.js');
var SkeletonOptions = require('./SkeletonOptions.js');
var context = require('./context.js');

const { groupedTitle, list } = cortexCore.selectVariants();
const SelectGroupedOptions = ({
  onSelect,
  groupedLabelExtractor,
  options
}) => {
  const { keyExtractor } = React.useContext(context.SelectContext);
  const { setIsOpen } = Context.usePopoverContext();
  const { options: _options, isLoading } = useSelectGroupedOptions.useSelectGroupedOptions({ options });
  const handleSelect = React.useCallback(
    (option) => {
      onSelect(option);
      setIsOpen?.(false);
    },
    [onSelect]
  );
  return isLoading ? /* @__PURE__ */ React.createElement(SkeletonOptions.SkeletonOptions, null) : /* @__PURE__ */ React.createElement("ul", { role: "select", className: list() }, [..._options ?? []].map(([key, value]) => /* @__PURE__ */ React.createElement("div", { key }, /* @__PURE__ */ React.createElement("span", { className: groupedTitle() }, groupedLabelExtractor?.(key)), value.map((option) => /* @__PURE__ */ React.createElement(
    Option.SelectOption,
    {
      grouped: true,
      option,
      key: keyExtractor(option),
      onSelectOption: handleSelect
    }
  )))));
};

exports.SelectGroupedOptions = SelectGroupedOptions;
