'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var React = require('react');
var context = require('./context.js');

const SelectMultiCheckAllOptions = ({
  checkAllLabel = "Select all"
}) => {
  const { keyExtractor, value: currentValue = [] } = React.useContext(context.SelectContext);
  const { options, onSelect } = React.useContext(context.SelectMultiOptionsContext);
  const isChecked = React.useMemo(
    () => (options ?? []).filter(
      (it) => currentValue.find((value) => keyExtractor(value) === keyExtractor(it))
    ).length == (options ?? []).length,
    [keyExtractor, currentValue, options]
  );
  const checkAll = React.useCallback(() => {
    {
      const updateSelected = Array.from(currentValue);
      if (!isChecked) {
        const notSelected = options?.filter(
          (option2) => !updateSelected.find(
            (it) => keyExtractor(it) === keyExtractor(option2)
          )
        );
        updateSelected.push(...notSelected ?? []);
      } else {
        const elementsToDelete = updateSelected.map(
          (it) => options?.find((option2) => keyExtractor(option2) === keyExtractor(it))
        ).filter((it) => it);
        elementsToDelete.map((it) => {
          updateSelected.splice(updateSelected.indexOf(it), 1);
        });
      }
      onSelect(updateSelected);
    }
  }, [options, onSelect]);
  return options?.length ? /* @__PURE__ */ React.createElement("div", { className: cortexCore.option(), onClick: checkAll }, /* @__PURE__ */ React.createElement(
    "input",
    {
      type: "checkbox",
      className: cortexCore.checkbox(),
      onChange: () => void 0,
      checked: isChecked
    }
  ), /* @__PURE__ */ React.createElement("span", null, checkAllLabel)) : /* @__PURE__ */ React.createElement(React.Fragment, null);
};

exports.SelectMultiCheckAllOptions = SelectMultiCheckAllOptions;
