'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var React = require('react');
require('@internationalized/date');
require('react-aria');
require('react-stately');
require('../Popover/Context.js');
require('react-dropzone');
require('uuid');
require('@floating-ui/react');
require('currency.js');
var useSelectGroupedOptions = require('../../hooks/useSelectGroupedOptions.js');
var MultiOption = require('./MultiOption.js');
var SkeletonOptions = require('./SkeletonOptions.js');
var context = require('./context.js');
var utils = require('./utils.js');

const { groupedTitle, list } = cortexCore.selectVariants();
const SelectMultiGroupedOptions = ({
  onSelect,
  groupedLabelExtractor,
  options,
  children
}) => {
  const { value: currentValue = [], keyExtractor } = React.useContext(context.SelectContext);
  const { options: _options, isLoading } = useSelectGroupedOptions.useSelectGroupedOptions({ options });
  const flattenMap = React.useMemo(
    () => _options ? Array.from(_options?.values()).flatMap((value) => value) : [],
    [_options]
  );
  return /* @__PURE__ */ React.createElement(
    context.SelectMultiOptionsContext.Provider,
    {
      value: { onSelect, options: flattenMap }
    },
    children,
    isLoading ? /* @__PURE__ */ React.createElement(SkeletonOptions.SkeletonOptions, null) : /* @__PURE__ */ React.createElement("ul", { role: "select", className: list() }, [..._options ?? []].map(([key, value]) => /* @__PURE__ */ React.createElement("div", { key }, /* @__PURE__ */ React.createElement("span", { className: groupedTitle() }, groupedLabelExtractor?.(key)), value.map((option) => /* @__PURE__ */ React.createElement(
      MultiOption.SelectMultiOption,
      {
        grouped: true,
        option,
        key: keyExtractor(option),
        onSelectOption: (option2) => utils.handleSelectMulti(
          option2,
          currentValue,
          onSelect,
          keyExtractor
        )
      }
    )))))
  );
};

exports.SelectMultiGroupedOptions = SelectMultiGroupedOptions;
