'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var React = require('react');
var context = require('./context.js');

const SelectMultiOption = ({
  onSelectOption,
  option,
  grouped = false
}) => {
  const { keyExtractor, labelExtractor, value } = React.useContext(context.SelectContext);
  const inputRef = React.useRef(null);
  const isChecked = React.useMemo(
    () => value?.length > 0 && value.find((it) => keyExtractor(it) === keyExtractor(option)) !== void 0,
    [value, option]
  );
  const onClickOption = React.useCallback(() => {
    onSelectOption(option);
    inputRef.current?.click();
  }, [onSelectOption, inputRef]);
  return /* @__PURE__ */ React.createElement(
    "li",
    {
      onClick: onClickOption,
      className: cortexCore.option({ grouped }),
      role: "option"
    },
    /* @__PURE__ */ React.createElement(
      "input",
      {
        type: "checkbox",
        checked: isChecked,
        className: cortexCore.checkbox({ className: "pointer-events-none" }),
        onChange: () => false,
        ref: inputRef
      }
    ),
    labelExtractor(option)
  );
};

exports.SelectMultiOption = SelectMultiOption;
