'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var React = require('react');
require('@internationalized/date');
require('react-aria');
require('react-stately');
require('../Popover/Context.js');
require('react-dropzone');
require('uuid');
require('@floating-ui/react');
require('currency.js');
var useSelectOptions = require('../../hooks/useSelectOptions.js');
var MultiOption = require('./MultiOption.js');
var SkeletonOptions = require('./SkeletonOptions.js');
var context = require('./context.js');
var utils = require('./utils.js');

const { list } = cortexCore.selectVariants();
const SelectMultiOptions = ({
  onSelect,
  options,
  children
}) => {
  const { keyExtractor, value: currentValue = [] } = React.useContext(context.SelectContext);
  const { options: _options, isLoading } = useSelectOptions.useSelectOptions({ options });
  return /* @__PURE__ */ React.createElement(context.SelectMultiOptionsContext.Provider, { value: { onSelect, options: _options } }, isLoading ? /* @__PURE__ */ React.createElement(SkeletonOptions.SkeletonOptions, null) : /* @__PURE__ */ React.createElement("ul", { role: "select", className: list() }, children, _options?.map((option) => /* @__PURE__ */ React.createElement(
    MultiOption.SelectMultiOption,
    {
      option,
      key: keyExtractor(option),
      onSelectOption: (option2) => utils.handleSelectMulti(option2, currentValue, onSelect, keyExtractor)
    }
  ))));
};

exports.SelectMultiOptions = SelectMultiOptions;
