'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var React = require('react');
var context = require('./context.js');

const SelectOption = ({
  onSelectOption,
  option,
  grouped = false
}) => {
  const { keyExtractor, labelExtractor, value } = React.useContext(context.SelectContext);
  return /* @__PURE__ */ React.createElement(
    "li",
    {
      onClick: () => onSelectOption(option),
      className: cortexCore.option({
        selected: value && keyExtractor(value) === keyExtractor(option),
        grouped
      }),
      role: "option"
    },
    labelExtractor(option)
  );
};

exports.SelectOption = SelectOption;
