'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var React = require('react');
require('@internationalized/date');
require('react-aria');
require('react-stately');
var Context = require('../Popover/Context.js');
require('react-dropzone');
require('uuid');
require('@floating-ui/react');
require('currency.js');
var useSelectOptions = require('../../hooks/useSelectOptions.js');
var Option = require('./Option.js');
var SkeletonOptions = require('./SkeletonOptions.js');
var context = require('./context.js');

const { list } = cortexCore.selectVariants();
const SelectOptions = ({
  onSelect,
  options
}) => {
  const { keyExtractor } = React.useContext(context.SelectContext);
  const { setIsOpen } = Context.usePopoverContext();
  const { options: _options, isLoading } = useSelectOptions.useSelectOptions({ options });
  const handleSelect = React.useCallback(
    (option) => {
      onSelect(option);
      setIsOpen?.(false);
    },
    [onSelect]
  );
  return isLoading ? /* @__PURE__ */ React.createElement(SkeletonOptions.SkeletonOptions, null) : /* @__PURE__ */ React.createElement("ul", { role: "select", className: list() }, _options?.map((option) => /* @__PURE__ */ React.createElement(
    Option.SelectOption,
    {
      option,
      key: keyExtractor(option),
      onSelectOption: handleSelect
    }
  )));
};

exports.SelectOptions = SelectOptions;
