'use strict';

var React = require('react');
var index = require('../Popover/index.js');
var Content = require('./Content.js');
var context = require('./context.js');

const SelectRoot = ({
  children,
  value,
  keyExtractor,
  labelExtractor,
  className
}) => {
  const [triggerWidth, setTriggerWidth] = React.useState(0);
  return /* @__PURE__ */ React.createElement(
    index.Popover.Root,
    {
      fallbackPlacements: ["bottom", "top"],
      placement: "bottom",
      trigger: "click"
    },
    /* @__PURE__ */ React.createElement(
      context.SelectContext.Provider,
      {
        value: {
          value,
          keyExtractor,
          labelExtractor,
          triggerWidth,
          setTriggerWidth
        }
      },
      /* @__PURE__ */ React.createElement(Content.Content, { className }, children)
    )
  );
};

exports.SelectRoot = SelectRoot;
