'use strict';

const handleSelectMulti = (option, value, onSelect, keyExtractor) => {
  const current = Array.from(value ?? []);
  const indexOf = current.findIndex(
    (it) => keyExtractor(it) === keyExtractor(option)
  );
  if (indexOf === -1) {
    current.push(option);
  } else {
    current.splice(indexOf, 1);
  }
  onSelect(current);
};

exports.handleSelectMulti = handleSelectMulti;
