'use strict';

var React = require('react');
var stepNodeVariants = require('../../styles/stepNodeVariants.js');

const Node = ({
  marked = false,
  intent = "success",
  isFirst = false,
  isLast = false,
  segmented = false,
  selected = false,
  interactive = true,
  children,
  className,
  ...rest
}) => {
  const { container, content, separator } = stepNodeVariants.StepNodeVariants({
    intent,
    marked,
    isFirst,
    isLast,
    selected: selected && interactive,
    disabled: rest.disabled,
    interactive
  });
  return /* @__PURE__ */ React.createElement("button", { type: "button", className: container({ className }), ...rest }, children ? /* @__PURE__ */ React.createElement("div", { className: content() }, children) : /* @__PURE__ */ React.createElement(React.Fragment, null), segmented ? /* @__PURE__ */ React.createElement("div", { className: separator() }) : /* @__PURE__ */ React.createElement(React.Fragment, null));
};

exports.Node = Node;
