'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var React = require('react');

const THead = ({
  children,
  className,
  ...rest
}) => /* @__PURE__ */ React.createElement("thead", { className: cortexCore.tHead({ className }), "data-testid": "thead", ...rest }, children);
const TRow = ({
  children,
  className,
  ...rest
}) => /* @__PURE__ */ React.createElement("tr", { className: cortexCore.tRow({ className }), "data-testid": "trow", ...rest }, children);
const THeadCell = ({
  children,
  className,
  ...rest
}) => /* @__PURE__ */ React.createElement("th", { className: cortexCore.tHeadCell({ className }), "data-testid": "thead-cell", ...rest }, children);
const TRowHeader = ({
  children
}) => /* @__PURE__ */ React.createElement(React.Fragment, null, /* @__PURE__ */ React.createElement("tr", { className: cortexCore.tRow(), "data-testid": "trow-header" }, children), /* @__PURE__ */ React.createElement("tr", { className: cortexCore.tRow() }, /* @__PURE__ */ React.createElement("td", { colSpan: 99 }, /* @__PURE__ */ React.createElement("hr", { className: cortexCore.hr() }))));
const TCell = ({
  children,
  className,
  ...rest
}) => /* @__PURE__ */ React.createElement("td", { className: cortexCore.tCell({ className }), "data-testid": "tcell", ...rest }, children);
const TFoot = ({
  children,
  className,
  ...rest
}) => /* @__PURE__ */ React.createElement("tfoot", { className: cortexCore.tFoot({ className }), "data-testid": "tfoot", ...rest }, children);
const Table = ({
  children,
  className,
  ...rest
}) => /* @__PURE__ */ React.createElement("table", { className: cortexCore.tRoot({ className }), "data-testid": "table", ...rest }, children);
const Td = ({
  children,
  ...rest
}) => /* @__PURE__ */ React.createElement("td", { "data-testid": "td", ...rest }, children);

exports.TCell = TCell;
exports.TFoot = TFoot;
exports.THead = THead;
exports.THeadCell = THeadCell;
exports.TRow = TRow;
exports.TRowHeader = TRowHeader;
exports.Table = Table;
exports.Td = Td;
