'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var React = require('react');
var lia = require('react-icons/lia');

const Close = ({
  onClick,
  className,
  ...rest
}) => {
  return /* @__PURE__ */ React.createElement(
    "button",
    {
      ...rest,
      type: "button",
      onClick,
      "data-testid": "tag-close-button"
    },
    /* @__PURE__ */ React.createElement(lia.LiaTimesSolid, { className })
  );
};
const Label = ({
  children,
  className,
  ...rest
}) => {
  return /* @__PURE__ */ React.createElement("p", { className, ...rest }, children);
};
const Face = React.forwardRef((props, ref) => {
  const { variants, className, intent, children, style, ...rest } = props;
  return /* @__PURE__ */ React.createElement(
    "div",
    {
      ...rest,
      className: cortexCore.tag({
        intent,
        ...variants,
        className
      }),
      style,
      ref
    },
    children
  );
});
const Root = React.forwardRef(
  (props, ref) => {
    const { label, variants, intent, className, onDismiss, ...rest } = props;
    return /* @__PURE__ */ React.createElement(
      Face,
      {
        ...rest,
        variants,
        intent,
        className,
        ref
      },
      /* @__PURE__ */ React.createElement(Label, null, label),
      onDismiss ? /* @__PURE__ */ React.createElement(Close, { onClick: onDismiss }) : null
    );
  }
);
const Tag = {
  Root,
  Close,
  Label,
  Face
};

exports.Tag = Tag;
