'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var clsx = require('clsx');
var React = require('react');

const TextAreaBox = React.forwardRef(
  ({
    id,
    name,
    variants,
    label,
    placeholder,
    rows,
    className,
    ...rest
  }, ref) => {
    return /* @__PURE__ */ React.createElement("div", { className: "flex w-full flex-col" }, /* @__PURE__ */ React.createElement(
      "textarea",
      {
        "data-testid": "textarea-box",
        ref,
        id: id ?? name,
        name,
        placeholder: placeholder ?? " ",
        className: clsx(
          cortexCore.inputBox(placeholder, label, className),
          "resize-none mt-mili"
        ),
        rows,
        ...rest
      }
    ), /* @__PURE__ */ React.createElement(
      "label",
      {
        htmlFor: id ?? name,
        className: cortexCore.labelStyle({
          intent: variants?.intent,
          placeholder
        })
      },
      label
    ));
  }
);

exports.TextAreaBox = TextAreaBox;
