'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var clsx = require('clsx');
var React = require('react');
var utils = require('./utils.js');

const TextAreaFace = React.forwardRef(
  ({ children, variants, className, ...rest }, ref) => {
    const clones = utils.getValidChildren(children).map((el) => {
      return React.cloneElement(el, { ...el.props, variants });
    });
    return /* @__PURE__ */ React.createElement(
      "div",
      {
        ref,
        className: clsx(cortexCore.input(variants), className),
        "data-testid": "textarea-face",
        id: "textarea-face",
        ...rest
      },
      clones
    );
  }
);

exports.TextAreaFace = TextAreaFace;
