'use strict';

var React = require('react');
var reactAria = require('react-aria');
var reactStately = require('react-stately');
var DateSegment = require('../DatePicker/DateSegment.js');

const TimeField = ({ disabled, ...props }) => {
  const { locale } = reactAria.useLocale();
  const state = reactStately.useTimeFieldState({
    ...props,
    locale,
    isDisabled: disabled
  });
  const ref = React.useRef(null);
  const { fieldProps } = reactAria.useTimeField(
    { "aria-label": "time-field" },
    state,
    ref
  );
  return /* @__PURE__ */ React.createElement("div", { ...fieldProps, ref, className: "flex flex-row" }, state.segments.map((segment, i) => /* @__PURE__ */ React.createElement(DateSegment.DateSegment, { key: i, segment, state })));
};

exports.TimeField = TimeField;
