'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var React = require('react');
var date = require('../../utils/date.js');
var index = require('../Input/index.js');
var TimeField = require('./TimeField.js');

const TimeFieldInput = (props) => {
  const {
    onChange,
    value,
    label,
    variants,
    hourCycle = 24,
    granularity = "minute",
    disabled = false
  } = props;
  return /* @__PURE__ */ React.createElement(React.Fragment, null, /* @__PURE__ */ React.createElement(
    index.Input.Face,
    {
      variants,
      className: "flex flex-row",
      "data-testid": "time-field-input"
    },
    /* @__PURE__ */ React.createElement("span", { className: cortexCore.labelStyle({}) }, label),
    /* @__PURE__ */ React.createElement("div", { className: cortexCore.inputBox("", label) }, /* @__PURE__ */ React.createElement(
      TimeField.TimeField,
      {
        onChange: (value2) => {
          onChange(date.timeFromTimeValue(value2));
        },
        value,
        hourCycle,
        granularity,
        isDisabled: disabled
      }
    ))
  ));
};

exports.TimeFieldInput = TimeFieldInput;
