'use strict';

var react$1 = require('@floating-ui/react');
var React = require('react');
require('@internationalized/date');
require('react-aria');
require('react-stately');
var react = require('../utils/react.js');
require('./Popover/Context.js');
require('react-dropzone');
require('uuid');
var useFloatingElement = require('../hooks/useFloatingElement.js');
require('currency.js');

const Tooltip = React.forwardRef(
  (props, ref) => {
    const {
      children,
      text,
      trigger = "hover",
      placement = "top",
      width,
      height,
      style,
      delay = { open: 500, close: 0 }
    } = props;
    const arrowRef = React.useRef(null);
    const {
      isOpen,
      triggerProps,
      x,
      y,
      strategy,
      refs,
      context,
      floatingStyles,
      getFloatingProps
    } = useFloatingElement.useFloatingElement({ placement, arrowRef, trigger, delay });
    return /* @__PURE__ */ React.createElement(React.Fragment, null, react.cloneWithProps(children, triggerProps), isOpen ? /* @__PURE__ */ React.createElement(
      "div",
      {
        ref: ref || refs.setFloating,
        className: "bg-black text-white p-2 rounded z-50 shadow-md text-justify",
        style: {
          position: strategy,
          top: y ?? 0,
          left: x ?? 0,
          width,
          height,
          ...style,
          ...floatingStyles
        },
        ...getFloatingProps()
      },
      text,
      /* @__PURE__ */ React.createElement(react$1.FloatingArrow, { ref: arrowRef, context, fill: "black" })
    ) : null);
  }
);

exports.Tooltip = Tooltip;
