'use strict';

var React = require('react');
var hi2 = require('react-icons/hi2');
var cortexCore = require('@tecsinapse/cortex-core');
var clsx = require('clsx');
var Tooltip = require('../Tooltip.js');

const Dropzone = ({
  dropzoneProps,
  selectFileText = "Select a file to start",
  dropText = "By dragging and dropping it here or clicking the button below",
  buttonText = "Select File"
}) => {
  const { getRootProps, getInputProps, isDragActive, isFileLimitReached } = dropzoneProps;
  return /* @__PURE__ */ React.createElement(
    "div",
    {
      ...getRootProps(),
      className: clsx(
        "bg-white w-full border-dashed border-2 p-deca flex flex-col justify-center rounded-mili overflow-auto h-[18rem]",
        {
          "border-success-medium bg-gray-100": isDragActive
        }
      )
    },
    /* @__PURE__ */ React.createElement("input", { ...getInputProps() }),
    /* @__PURE__ */ React.createElement("div", { className: "flex flex-col justify-center text-center items-center gap-deca" }, /* @__PURE__ */ React.createElement(hi2.HiOutlineCloudArrowUp, { className: "text-primary-medium", size: 35 }), /* @__PURE__ */ React.createElement("div", { className: "gap-mili" }, /* @__PURE__ */ React.createElement("p", { className: "text-lg font-semibold", "data-testid": "select-dropzone" }, selectFileText), /* @__PURE__ */ React.createElement("p", { className: "text-sm text-secondary-medium" }, dropText)), isFileLimitReached ? /* @__PURE__ */ React.createElement(Tooltip.Tooltip, { text: "Voc\xEA s\xF3 pode selecionar um \xFAnico arquivo." }, /* @__PURE__ */ React.createElement("button", { disabled: true, className: clsx(cortexCore.button(), "cursor-not-allowed") }, buttonText)) : /* @__PURE__ */ React.createElement("button", { className: cortexCore.button() }, buttonText))
  );
};

exports.Dropzone = Dropzone;
