'use strict';

var React = require('react');
var md = require('react-icons/md');
var cortexCore = require('@tecsinapse/cortex-core');
var Modal$1 = require('../Modal.js');
var reactDom = require('react-dom');

const Modal = ({
  open,
  onClose,
  children,
  title = "File Upload"
}) => {
  return reactDom.createPortal(
    /* @__PURE__ */ React.createElement(
      Modal$1.Modal,
      {
        open,
        onClose,
        className: "flex flex-col bg-secondary-xlight rounded-mili min-w-[70vw] max-w-[95vh] max-h-[95vh] overflow-auto"
      },
      /* @__PURE__ */ React.createElement("div", { className: "flex w-full items-center justify-between mb-deca" }, /* @__PURE__ */ React.createElement("div", null), /* @__PURE__ */ React.createElement("h2", { className: "text-deca font-semibold" }, title), /* @__PURE__ */ React.createElement(
        "button",
        {
          className: cortexCore.button({ size: "square" }),
          onClick: onClose,
          "data-testid": "close-button"
        },
        /* @__PURE__ */ React.createElement(md.MdClose, { size: 20 })
      )),
      children
    ),
    document.body
  );
};

exports.Modal = Modal;
