'use strict';

var cortexCore = require('@tecsinapse/cortex-core');
var React = require('react');
var fa6 = require('react-icons/fa6');
var md = require('react-icons/md');
var ProgressBar = require('../ProgressBar/ProgressBar.js');

const File = ({ file, index, onDelete }) => {
  function statusIntent(status) {
    switch (status) {
      case "success":
        return "success";
      case "error":
        return "error";
      default:
        return "info";
    }
  }
  return /* @__PURE__ */ React.createElement("div", { className: "flex flex-col", key: index }, /* @__PURE__ */ React.createElement("div", { className: "flex items-center justify-between border rounded-t-mili shadow p-mili" }, /* @__PURE__ */ React.createElement("div", { className: "flex gap-centi" }, file.file && file.file.type.startsWith("image/") ? /* @__PURE__ */ React.createElement(
    "img",
    {
      src: URL.createObjectURL(file.file),
      alt: "Preview",
      className: "w-tera h-tera rounded-mili"
    }
  ) : /* @__PURE__ */ React.createElement("span", { className: "border-2 text-kilo text-primary-medium w-tera h-tera flex items-center justify-center rounded-mili" }, /* @__PURE__ */ React.createElement(fa6.FaRegFileLines, null)), /* @__PURE__ */ React.createElement("div", { className: "flex-col" }, /* @__PURE__ */ React.createElement("p", { className: "font-semibold truncate max-w-[200px]" }, file.file.name), /* @__PURE__ */ React.createElement("p", { className: "text-sm text-gray-500" }, (file.file.size / 1024).toFixed(2), " KB"))), file.status === "success" && /* @__PURE__ */ React.createElement(
    "button",
    {
      onClick: () => onDelete(index),
      "data-testid": "remove-button",
      className: cortexCore.button({
        className: " bg-inherit border-2 border-primary-light text-primary-light",
        size: "small"
      })
    },
    /* @__PURE__ */ React.createElement(md.MdClose, { size: 20 })
  )), /* @__PURE__ */ React.createElement(
    ProgressBar.ProgressBar,
    {
      intent: statusIntent(file.status),
      infinite: file.status === "uploading"
    }
  ));
};

exports.File = File;
