'use strict';

var date = require('@internationalized/date');
var reactAria = require('react-aria');
var reactStately = require('react-stately');
var date$1 = require('../utils/date.js');
require('react');

const useCalendar = ({ value, onChange }) => {
  const { locale } = reactAria.useLocale();
  const state = reactStately.useCalendarState({
    locale,
    createCalendar: date.createCalendar,
    defaultValue: value ? date$1.dateToCalendarDateTime(value) : null,
    onChange: (value2) => onChange(date$1.calendarDateToDate(value2))
  });
  const { calendarProps, title } = reactAria.useCalendar({}, state);
  return {
    calendarProps,
    title,
    state
  };
};

exports.useCalendar = useCalendar;
