'use strict';

var React = require('react');
var Context = require('../components/Popover/Context.js');

const useDatePickerInputCommon = ({
  onChangeCalendar,
  onChangeRangeCalendar
}) => {
  const { setIsOpen } = Context.usePopoverContext();
  const handleTogglePopover = React.useCallback(() => {
    setIsOpen((open) => !open);
  }, []);
  const handleChangeCalendar = React.useCallback((value) => {
    setIsOpen(false);
    onChangeCalendar?.(value);
    onChangeRangeCalendar?.(value);
  }, []);
  const handleCloseCalendar = React.useCallback(() => {
    setIsOpen(false);
  }, []);
  return {
    handleTogglePopover,
    handleChangeCalendar,
    handleCloseCalendar
  };
};

exports.useDatePickerInputCommon = useDatePickerInputCommon;
