'use strict';

var date = require('@internationalized/date');
var React = require('react');
var reactAria = require('react-aria');
var reactStately = require('react-stately');
var date$1 = require('../utils/date.js');

const useRangeCalendar = ({
  value,
  onChange
}) => {
  const { locale } = reactAria.useLocale();
  const state = reactStately.useRangeCalendarState({
    locale,
    createCalendar: date.createCalendar,
    defaultValue: {
      start: date$1.dateToCalendarDateTime(value?.start),
      end: date$1.dateToCalendarDateTime(value?.end)
    },
    onChange: (value2) => onChange({
      start: date$1.calendarDateToDate(value2.start),
      end: date$1.calendarDateToDate(value2.end)
    })
  });
  const ref = React.useRef(null);
  const { calendarProps, title } = reactAria.useRangeCalendar({}, state, ref);
  return {
    calendarProps,
    title,
    state,
    ref
  };
};

exports.useRangeCalendar = useRangeCalendar;
