'use strict';

var React = require('react');

const CategoriesContext = React.createContext(null);
const CategoriesProvider = ({ children }) => {
  const [expandedMenus, setExpandedMenus] = React.useState({});
  const toggleSubmenu = (categoryId, submenuId) => {
    setExpandedMenus((prev) => {
      return {
        ...prev,
        [categoryId]: prev[categoryId] === submenuId ? null : submenuId
      };
    });
  };
  return /* @__PURE__ */ React.createElement(CategoriesContext.Provider, { value: { expandedMenus, toggleSubmenu } }, children);
};
const useCategories = () => {
  const context = React.useContext(CategoriesContext);
  if (!context) {
    throw new Error("useCategories must be used within CategoriesProvider");
  }
  return context;
};

exports.CategoriesProvider = CategoriesProvider;
exports.useCategories = useCategories;
