'use strict';

var React = require('react');
require('@internationalized/date');
require('react-aria');
require('react-stately');
require('../components/Popover/Context.js');
require('react-dropzone');
require('uuid');
require('@floating-ui/react');
require('currency.js');
var useOutsideClickListener = require('../hooks/useOutsideClickListener.js');
var MenubarContext = require('./MenubarContext.js');

const MenubarProvider = ({ children }) => {
  const [show, setShow] = React.useState(false);
  const ref = React.useRef(null);
  const showRef = React.useRef(false);
  React.useEffect(() => {
    showRef.current = show;
  }, [show]);
  const onClickOutside = () => {
    if (showRef.current === true) {
      setShow(false);
    }
  };
  useOutsideClickListener.useOutsideClickListener({
    ref,
    onClickOutside
  });
  return /* @__PURE__ */ React.createElement(MenubarContext.MenubarContext.Provider, { value: { show, setShow } }, /* @__PURE__ */ React.createElement("div", { ref }, children));
};

exports.MenubarProvider = MenubarProvider;
