'use strict';

var React = require('react');
var sonner = require('sonner');
var SnackbarSonner = require('../service/SnackbarSonner.js');

const SnackbarContext = React.createContext(null);
const SnackbarProvider = ({
  children,
  options
}) => {
  const snackbar = new SnackbarSonner.SnackbarSonner(options);
  return /* @__PURE__ */ React.createElement(SnackbarContext.Provider, { value: { snackbar } }, children, /* @__PURE__ */ React.createElement(sonner.Toaster, null));
};
const useSnackbar = () => {
  const context = React.useContext(SnackbarContext);
  if (!context) {
    throw new Error("useSnackbar must be used within a SnackbarProvider");
  }
  return context;
};

exports.SnackbarProvider = SnackbarProvider;
exports.useSnackbar = useSnackbar;
