'use strict';

var React = require('react');
var MenubarContext = require('./MenubarContext.js');

const useMenubar = () => {
  const context = React.useContext(MenubarContext.MenubarContext);
  if (!context) {
    throw new Error("useMenubar must be used within a MenubarProvider");
  }
  return [context.show, context.setShow];
};

exports.useMenubar = useMenubar;
