'use strict';

var React = require('react');
var sonner = require('sonner');
var DefaultSnack = require('../components/Snackbar/DefaultSnack.js');

class SnackbarSonner {
  _options;
  constructor(options) {
    this._options = { ...options, duration: options?.duration ?? 5e3 };
  }
  custom(Component, options) {
    return sonner.toast.custom(() => Component, {
      ...this._options,
      ...options
    });
  }
  show(type, message, options) {
    return sonner.toast.custom(
      (t) => {
        return /* @__PURE__ */ React.createElement(
          DefaultSnack.DefaultSnack,
          {
            text: message,
            variants: { intent: type },
            onDismiss: () => {
              sonner.toast.dismiss(t);
              if (options?.onDismiss && typeof options?.onDismiss === "function") {
                options.onDismiss();
              }
            }
          }
        );
      },
      { ...this._options, ...options }
    );
  }
}

exports.SnackbarSonner = SnackbarSonner;
