'use strict';

var date = require('@internationalized/date');

const dateToCalendarDateTime = (value) => {
  return new date.CalendarDateTime(
    value?.getFullYear() ?? (/* @__PURE__ */ new Date()).getFullYear(),
    value?.getMonth() !== void 0 ? value.getMonth() + 1 : (/* @__PURE__ */ new Date()).getMonth() + 1,
    value?.getDate() ?? (/* @__PURE__ */ new Date()).getDate(),
    value?.getHours() ?? (/* @__PURE__ */ new Date()).getHours(),
    value?.getMinutes() ?? (/* @__PURE__ */ new Date()).getMinutes(),
    value?.getSeconds() ?? (/* @__PURE__ */ new Date()).getSeconds()
  );
};
const calendarDateToDate = (value) => {
  if (!value) return void 0;
  return value.toDate(date.getLocalTimeZone());
};
const timeFromTimeValue = (value) => {
  if (!value) return void 0;
  return new date.Time(value.hour, value.minute, value.second, value.millisecond);
};

exports.calendarDateToDate = calendarDateToDate;
exports.dateToCalendarDateTime = dateToCalendarDateTime;
exports.timeFromTimeValue = timeFromTimeValue;
