import clsx from 'clsx';
import React__default, { useState, useCallback } from 'react';
import { Context } from './context.js';

const AccordionFace = ({
  children,
  defaultOpen = false,
  direction = "horizontal"
}) => {
  const [open, setOpen] = useState(defaultOpen);
  const toggle = useCallback(() => setOpen((prev) => !prev), []);
  return /* @__PURE__ */ React__default.createElement(Context.Provider, { value: { open, toggle } }, /* @__PURE__ */ React__default.createElement(
    "div",
    {
      className: clsx("flex", {
        "flex flex-col": direction === "vertical"
      })
    },
    children
  ));
};

export { AccordionFace };
