import { createContext, useContext } from 'react';

const Context = createContext({ open: false });
const useAccordionContext = () => {
  const context = useContext(Context);
  if (!context) {
    throw new Error("useAccordionContext must be used within a Accordion");
  }
  return context;
};

export { Context, useAccordionContext };
