import clsx from 'clsx';
import React__default from 'react';
import '@internationalized/date';
import { getNameInitials } from '../utils/string.js';

const Avatar = ({ src, name, className, ...rest }) => {
  const [hasError, setHasError] = React__default.useState(false);
  React__default.useEffect(() => {
    setHasError(false);
  }, [src]);
  return /* @__PURE__ */ React__default.createElement(
    "div",
    {
      ...rest,
      className: clsx(
        "rounded-pill bg-secondary-dark h-mega flex items-center justify-center cursor-pointer aspect-square",
        className
      )
    },
    src && !hasError ? /* @__PURE__ */ React__default.createElement(
      "img",
      {
        src,
        alt: name,
        className: "rounded-pill aspect-square h-mega",
        onError: () => setHasError(true),
        "data-testid": "avatar-img"
      }
    ) : /* @__PURE__ */ React__default.createElement("p", { className: "font-bold text-white text-base", "data-testid": "avatar-p" }, getNameInitials(name))
  );
};

export { Avatar };
