import { badge, containerBadge } from '@tecsinapse/cortex-core';
import * as React from 'react';
import { forwardRef } from 'react';

const Badge = forwardRef((props, ref) => {
  const { value, variants, ...rest } = props;
  return /* @__PURE__ */ React.createElement(
    "div",
    {
      ref,
      className: badge({
        className: `relative ${variants?.className}`,
        intent: variants?.intent
      }),
      ...rest
    },
    value
  );
});
function getDisplayValue(value) {
  const number = Number(value);
  if (isNaN(number)) return value;
  return number > 99 ? "99+" : number;
}
const BadgeAnchor = forwardRef((props, ref) => {
  const { value, variants, children, ...rest } = props;
  return /* @__PURE__ */ React.createElement("div", { className: containerBadge() }, children, /* @__PURE__ */ React.createElement("div", { ref, className: badge(variants), ...rest }, getDisplayValue(value)));
});

export { Badge, BadgeAnchor };
