import clsx from 'clsx';
import React__default from 'react';
import { MdOutlineKeyboardDoubleArrowRight } from 'react-icons/md';

const BreadcrumbItem = ({
  isLast,
  Component,
  componentProps,
  title
}) => {
  return /* @__PURE__ */ React__default.createElement(Component, { ...componentProps, key: title }, /* @__PURE__ */ React__default.createElement("div", { className: "flex gap-x-mili items-center" }, /* @__PURE__ */ React__default.createElement(
    "p",
    {
      className: clsx(
        "no-underline",
        isLast ? "text-secondary-medium cursor-default" : "text-secondary-xdark cursor-pointer"
      )
    },
    title
  ), !isLast ? /* @__PURE__ */ React__default.createElement(
    MdOutlineKeyboardDoubleArrowRight,
    {
      className: "mt-[0.125rem] text-primary-medium",
      "data-testid": "breadcrumb-item-icon"
    }
  ) : /* @__PURE__ */ React__default.createElement(React__default.Fragment, null)));
};

export { BreadcrumbItem };
