import React__default from 'react';
import { Card } from '../Card.js';
import { BreadcrumbItem } from './BreadcrumbItem.js';

const Breadcrumbs = (props) => {
  const { breadcrumbs, ...rest } = props;
  return /* @__PURE__ */ React__default.createElement(Card, { className: "flex gap-x-mili w-full items-center py-mili", ...rest }, breadcrumbs.map((item, index) => {
    const isLast = index === breadcrumbs.length - 1;
    return /* @__PURE__ */ React__default.createElement(
      BreadcrumbItem,
      {
        key: `${item.title}-${index}`,
        ...item,
        isLast
      }
    );
  }));
};

export { Breadcrumbs };
