import React__default from 'react';
import { useCalendar } from '../../hooks/useCalendar.js';
import '@internationalized/date';
import 'react-aria';
import 'react-stately';
import '../Popover/Context.js';
import 'react-dropzone';
import 'uuid';
import '@floating-ui/react';
import 'currency.js';
import { CalendarGrid } from './CalendarGrid.js';
import { CalendarHeader } from './CalendarHeader.js';

const Calendar = ({ value, onChange }) => {
  const { calendarProps, title, state } = useCalendar({ value, onChange });
  return /* @__PURE__ */ React__default.createElement("div", { ...calendarProps, className: "calendar", "data-testid": "calendar-div" }, /* @__PURE__ */ React__default.createElement(
    CalendarHeader,
    {
      onClickPrevButton: () => state.focusPreviousPage(),
      onClickNextButton: () => state.focusNextPage(),
      title
    }
  ), /* @__PURE__ */ React__default.createElement(CalendarGrid, { state }));
};

export { Calendar };
