import React__default from 'react';
import '@internationalized/date';
import 'react-aria';
import 'react-stately';
import { useCalendarCell } from '../../hooks/useCalendarCell.js';
import '../Popover/Context.js';
import 'react-dropzone';
import 'uuid';
import '@floating-ui/react';
import 'currency.js';
import { calendarCell } from '../../styles/calendar-cell.js';
import '../../styles/date-picker-input-base.js';
import '../../styles/date-segment.js';
import '../../styles/groupButton.js';
import '../../styles/progressBar.js';
import { Td } from '../Table.js';

const { cell, button } = calendarCell();
const CalendarCell = ({ state, date }) => {
  const {
    ref,
    cellProps,
    buttonProps,
    isSelected,
    isOutsideVisibleRange,
    formattedDate,
    isSelectionStart,
    isSelectionEnd,
    inRange
  } = useCalendarCell({ state, date });
  return /* @__PURE__ */ React__default.createElement(
    Td,
    {
      ...cellProps,
      "data-testid": "calendar-cell-td",
      className: cell({
        isOutsideVisibleRange,
        isSelected,
        isSelectionStart,
        isSelectionEnd,
        inRange
      })
    },
    /* @__PURE__ */ React__default.createElement(
      "div",
      {
        ...buttonProps,
        ref,
        className: button({ isOutsideVisibleRange })
      },
      formattedDate
    )
  );
};

export { CalendarCell };
