import React__default from 'react';
import '@internationalized/date';
import 'react-aria';
import 'react-stately';
import { useCalendarGrid } from '../../hooks/useCalendarGrid.js';
import '../Popover/Context.js';
import 'react-dropzone';
import 'uuid';
import '@floating-ui/react';
import 'currency.js';
import { CalendarGridBodyRows } from './CalendarGridBodyRows.js';
import { CalendarGridHeaderRow } from './CalendarGridHeaderRow.js';

const CalendarGrid = ({ state }) => {
  const { gridProps, headerProps, weekDays } = useCalendarGrid({ state });
  return /* @__PURE__ */ React__default.createElement(
    "div",
    {
      className: "bg-white rounded-micro px-deca py-mili",
      "data-testid": "calendar-grid"
    },
    /* @__PURE__ */ React__default.createElement("table", { ...gridProps, className: "border-separate border-spacing-y-nano" }, /* @__PURE__ */ React__default.createElement("thead", { ...headerProps }, /* @__PURE__ */ React__default.createElement(CalendarGridHeaderRow, { weekDays })), /* @__PURE__ */ React__default.createElement("tbody", null, /* @__PURE__ */ React__default.createElement(CalendarGridBodyRows, { state })))
  );
};

export { CalendarGrid };
