import React__default from 'react';
import { FaChevronLeft, FaChevronRight } from 'react-icons/fa';
import { Button } from '../Button.js';

const CalendarHeader = ({
  onClickPrevButton,
  onClickNextButton,
  title
}) => {
  return /* @__PURE__ */ React__default.createElement(
    "div",
    {
      className: "flex flex-row justify-between items-center gap-x-deca bg-miscellaneous-body p-mili",
      "data-testid": "calendar-header"
    },
    /* @__PURE__ */ React__default.createElement(
      Button,
      {
        onClick: onClickPrevButton,
        variants: { variant: "text", intent: "secondary", size: "small" },
        "data-testid": "calendar-header-prev-button",
        type: "button"
      },
      /* @__PURE__ */ React__default.createElement(FaChevronLeft, null)
    ),
    /* @__PURE__ */ React__default.createElement("span", { className: "font-bold capitalize" }, title),
    /* @__PURE__ */ React__default.createElement(
      Button,
      {
        onClick: onClickNextButton,
        variants: { variant: "text", intent: "secondary", size: "small" },
        "data-testid": "calendar-header-next-button",
        type: "button"
      },
      /* @__PURE__ */ React__default.createElement(FaChevronRight, null)
    )
  );
};

export { CalendarHeader };
