import React__default from 'react';
import '@internationalized/date';
import 'react-aria';
import 'react-stately';
import '../Popover/Context.js';
import 'react-dropzone';
import 'uuid';
import '@floating-ui/react';
import 'currency.js';
import { useRangeCalendar } from '../../hooks/useRangeCalendar.js';
import { CalendarGrid } from './CalendarGrid.js';
import { CalendarHeader } from './CalendarHeader.js';

const RangeCalendar = ({ value, onChange }) => {
  const { calendarProps, state, title, ref } = useRangeCalendar({
    value,
    onChange
  });
  return /* @__PURE__ */ React__default.createElement(
    "div",
    {
      ...calendarProps,
      className: "calendar",
      ref,
      "data-testid": "calendar-range-div"
    },
    /* @__PURE__ */ React__default.createElement(
      CalendarHeader,
      {
        onClickPrevButton: () => state.focusPreviousPage(),
        onClickNextButton: () => state.focusNextPage(),
        title
      }
    ),
    /* @__PURE__ */ React__default.createElement(CalendarGrid, { state })
  );
};

export { RangeCalendar };
