import React__default from 'react';
import { Button } from '../Button.js';
import { useSpringCarousel } from 'react-spring-carousel';
import { IoIosArrowBack, IoIosArrowForward } from 'react-icons/io';
import { CarouselItem } from './CarouselItem.js';

const Carousel = ({ images }) => {
  const itemsCarousel = images.map((imageProp, i) => ({
    id: `${imageProp.alt}-${i}`,
    renderItem: /* @__PURE__ */ React__default.createElement(CarouselItem, { item: imageProp })
  }));
  const { carouselFragment, slideToNextItem, slideToPrevItem } = useSpringCarousel({
    withLoop: true,
    items: itemsCarousel
  });
  return /* @__PURE__ */ React__default.createElement("div", { className: "overflow-hidden w-fit relative" }, itemsCarousel.length > 1 ? /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, /* @__PURE__ */ React__default.createElement(
    Button,
    {
      type: "button",
      "data-testid": "button-carousel-prev",
      className: "z-absolute absolute left-deca top-[50%]  transform -translate-y-[50%] p-centi hidden lg:flex",
      size: "square",
      onClick: slideToPrevItem
    },
    /* @__PURE__ */ React__default.createElement(IoIosArrowBack, null)
  ), /* @__PURE__ */ React__default.createElement(
    Button,
    {
      type: "button",
      "data-testid": "button-carousel-next",
      size: "square",
      className: "z-absolute absolute right-deca top-[50%] transform -translate-y-[50%] p-centi hidden lg:flex",
      onClick: slideToNextItem
    },
    /* @__PURE__ */ React__default.createElement(IoIosArrowForward, null)
  )) : /* @__PURE__ */ React__default.createElement(React__default.Fragment, null), carouselFragment);
};

export { Carousel };
