import React__default from 'react';
import { Button } from '../Button.js';

const CarouselItem = ({ item }) => {
  const stylesTitle = {
    color: item.title.color ?? "black",
    fontSize: item.title?.size ?? "1rem"
  };
  const stylesSubTitle = {
    color: item.subtitle.color ?? "white",
    fontSize: item.subtitle?.size ?? "1rem"
  };
  return /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, /* @__PURE__ */ React__default.createElement(
    "img",
    {
      className: "w-full h-[360px] object-cover rounded-mili z-absolute",
      src: item.src,
      alt: item.alt
    }
  ), /* @__PURE__ */ React__default.createElement(
    "div",
    {
      className: "z-absolute absolute top-[50%] transform -translate-y-[50%] left-[10%] mx-deca max-w-[60%]"
    },
    /* @__PURE__ */ React__default.createElement(
      "p",
      {
        className: "text-h2 font-bold",
        style: stylesTitle,
        dangerouslySetInnerHTML: { __html: item.title.text }
      }
    ),
    /* @__PURE__ */ React__default.createElement(
      "p",
      {
        className: "text-white text-h2 font-bold hidden lg:block",
        style: stylesSubTitle,
        dangerouslySetInnerHTML: { __html: item.subtitle.text }
      }
    )
  ), item.button ? /* @__PURE__ */ React__default.createElement(
    "a",
    {
      type: "button",
      href: item.button.link,
      target: item.button.target ?? "_self",
      rel: "noopener noreferrer"
    },
    /* @__PURE__ */ React__default.createElement(
      Button,
      {
        type: "button",
        "data-testid": "button-link-carousel",
        className: "z-absolute absolute bottom-deca left-[10%]"
      },
      item.button.title
    )
  ) : /* @__PURE__ */ React__default.createElement(React__default.Fragment, null));
};

export { CarouselItem };
