import { checkbox } from '@tecsinapse/cortex-core';
import React__default, { forwardRef, useRef, useCallback, useEffect, useImperativeHandle } from 'react';

const Checkbox = forwardRef((props, ref) => {
  const localRef = useRef(null);
  const { className, indeterminate, ...rest } = props;
  const setIndeterminate = useCallback((value) => {
    if (localRef?.current) {
      localRef.current.indeterminate = value;
      localRef.current.checked = false;
    }
  }, []);
  useEffect(() => {
    setIndeterminate(Boolean(indeterminate));
  }, [indeterminate]);
  useImperativeHandle(ref, () => {
    return {
      ...localRef.current,
      setIndeterminate
    };
  });
  return /* @__PURE__ */ React__default.createElement(
    "input",
    {
      type: "checkbox",
      className: checkbox({ className }),
      ref: localRef,
      ...rest
    }
  );
});

export { Checkbox };
