import clsx from 'clsx';
import React__default, { forwardRef } from 'react';

const Box = forwardRef((props, ref) => {
  const { id, ...rest } = props;
  return /* @__PURE__ */ React__default.createElement("div", { className: "w-tera h-kilo overflow-hidden relative" }, /* @__PURE__ */ React__default.createElement(
    "input",
    {
      ...rest,
      id,
      type: "color",
      className: "bg-transparent cursor-pointer disabled:opacity-50 disabled:cursor-default absolute -top-1.5 -right-1 w-peta h-giga",
      ref
    }
  ));
});
const Face = ({ children }) => {
  return /* @__PURE__ */ React__default.createElement("div", { className: "rounded-mili p-mili shadow-default bg-white flex flex-row items-center gap-2" }, children);
};
const Label = ({
  children,
  id,
  className,
  ...rest
}) => {
  return /* @__PURE__ */ React__default.createElement("label", { ...rest, htmlFor: id, className: clsx("text-base", className) }, children);
};
const Root = forwardRef((props, ref) => {
  const { id, value, ...rest } = props;
  return /* @__PURE__ */ React__default.createElement(Face, null, /* @__PURE__ */ React__default.createElement(Box, { ...rest, ref, id, value }), value ? /* @__PURE__ */ React__default.createElement(Label, { id }, value) : null);
});
const ColorPicker = {
  Box,
  Face,
  Label,
  Root
};

export { ColorPicker };
