import { labelStyle, inputBox } from '@tecsinapse/cortex-core';
import React__default, { useMemo } from 'react';
import { IoMdClose } from 'react-icons/io';
import { LiaCalendar } from 'react-icons/lia';
import '../../styles/calendar-cell.js';
import { datePickerInputBase } from '../../styles/date-picker-input-base.js';
import '../../styles/date-segment.js';
import '../../styles/groupButton.js';
import '../../styles/progressBar.js';
import { Input } from '../Input/index.js';

const { icon } = datePickerInputBase();
const DatePickerInputBase = ({
  children,
  variants,
  label,
  disabled = false,
  value,
  onClean,
  onToggle
}) => {
  const showCloseIcon = useMemo(() => {
    const hasDate = value != void 0;
    const hasStartDate = value?.start != void 0;
    const hasEndDate = value?.end != void 0;
    if (value && "start" in value) return hasStartDate && hasEndDate;
    return hasDate;
  }, [value]);
  return /* @__PURE__ */ React__default.createElement(Input.Face, { variants, "data-testid": "date-picker-input-base" }, /* @__PURE__ */ React__default.createElement("label", { className: labelStyle({}) }, label), /* @__PURE__ */ React__default.createElement("div", { className: inputBox("", label, "w-full flex flex-row") }, children), /* @__PURE__ */ React__default.createElement(Input.Right, { className: "flex h-full justify-center" }, showCloseIcon ? /* @__PURE__ */ React__default.createElement(
    "button",
    {
      className: "bg-transparent",
      onClick: onClean,
      disabled,
      "data-testid": "date-picker-input-base-clean-button",
      type: "button"
    },
    /* @__PURE__ */ React__default.createElement(
      IoMdClose,
      {
        className: icon({ disabled }),
        "data-testid": "date-picker-input-base-clean-icon"
      }
    )
  ) : /* @__PURE__ */ React__default.createElement(
    "button",
    {
      className: "bg-transparent",
      onClick: onToggle,
      disabled,
      "data-testid": "date-picker-input-base-calendar-button",
      type: "button"
    },
    /* @__PURE__ */ React__default.createElement(
      LiaCalendar,
      {
        className: icon({ disabled }),
        "data-testid": "date-picker-input-base-calendar-icon"
      }
    )
  )));
};

export { DatePickerInputBase };
