import React__default from 'react';
import { useDateSegment } from 'react-aria';
import '../../styles/calendar-cell.js';
import '../../styles/date-picker-input-base.js';
import { dateSegment } from '../../styles/date-segment.js';
import '../../styles/groupButton.js';
import '../../styles/progressBar.js';

const { base } = dateSegment();
const DateSegment = ({ segment, state }) => {
  const ref = React__default.useRef(null);
  const { segmentProps } = useDateSegment(segment, state, ref);
  return /* @__PURE__ */ React__default.createElement(
    "div",
    {
      ...segmentProps,
      ref,
      className: base({ disabled: state.isDisabled })
    },
    segment.text
  );
};

export { DateSegment };
