import clsx from 'clsx';
import React__default from 'react';
import '../styles/calendar-cell.js';
import '../styles/date-picker-input-base.js';
import '../styles/date-segment.js';
import { groupButton } from '../styles/groupButton.js';
import '../styles/progressBar.js';

const { button, container, active, inactive, firstButton, lastButton } = groupButton();
const GroupButton = (props) => {
  const {
    options,
    value,
    renderKey,
    renderOption,
    onChange,
    customStyles,
    disableAllOptions,
    className
  } = props;
  return /* @__PURE__ */ React__default.createElement(
    "div",
    {
      className: container({ className }),
      "data-testid": "group-button-container"
    },
    options.map((option) => {
      const key = renderKey?.(option.value);
      const isActive = key === renderKey?.(value);
      return /* @__PURE__ */ React__default.createElement(
        "button",
        {
          disabled: disableAllOptions,
          value: String(value),
          onClick: () => onChange(option.value),
          className: clsx(
            button(),
            firstButton({ className: customStyles?.firstButton }),
            lastButton({ className: customStyles?.lastButton }),
            !isActive && inactive({ className: customStyles?.inactive }),
            isActive && active({ className: customStyles?.active })
          ),
          key
        },
        renderOption(option.value)
      );
    })
  );
};

export { GroupButton };
