import { inputBox, labelStyle } from '@tecsinapse/cortex-core';
import clsx from 'clsx';
import React__default from 'react';

const InputBox = React__default.forwardRef(
  ({ id, name, variants, label, placeholder, className, ...rest }, ref) => {
    return /* @__PURE__ */ React__default.createElement("div", { className: "flex w-full flex-col" }, /* @__PURE__ */ React__default.createElement(
      "input",
      {
        id: id ?? name,
        name,
        placeholder: placeholder ?? " ",
        className: clsx(inputBox(placeholder, label, className)),
        ...rest,
        ref
      }
    ), /* @__PURE__ */ React__default.createElement(
      "label",
      {
        htmlFor: id ?? name,
        className: labelStyle({ intent: variants?.intent, placeholder }),
        "data-testid": "input-label"
      },
      label
    ));
  }
);

export { InputBox };
