import { input } from '@tecsinapse/cortex-core';
import clsx from 'clsx';
import React__default from 'react';

const getValidChildren = (children) => {
  return React__default.Children.toArray(children).filter(
    (el) => React__default.isValidElement(el)
  );
};
const InputFace = React__default.forwardRef(
  ({ children, variants, className, ...rest }, ref) => {
    const clones = getValidChildren(children).map((el) => {
      return React__default.cloneElement(el, { ...el.props, variants });
    });
    return /* @__PURE__ */ React__default.createElement(
      "div",
      {
        "data-testid": "input-face",
        ...rest,
        className: clsx(input(variants), className),
        ref
      },
      clones
    );
  }
);

export { InputFace };
