import React__default, { useState, useEffect } from 'react';
import { IoSearchOutline } from 'react-icons/io5';
import '@internationalized/date';
import 'react-aria';
import 'react-stately';
import '../Popover/Context.js';
import { useDebouncedState } from '../../hooks/useDebouncedState.js';
import 'react-dropzone';
import 'uuid';
import '@floating-ui/react';
import 'currency.js';
import { InputBox } from './Box.js';
import { InputFace } from './Face.js';
import { InputLeft } from './Left.js';

const InputSearch = React__default.forwardRef(
  ({
    bounceTimeout = 1e3,
    variants,
    className,
    onChange,
    ...rest
  }, ref) => {
    const [bouncedTextEvent, setBouncedTextEvent] = useState();
    const [searchInputEvent, setSearchInputEvent] = useDebouncedState(void 0, setBouncedTextEvent, bounceTimeout);
    useEffect(() => {
      if (onChange && searchInputEvent) {
        onChange(searchInputEvent);
      }
    }, [bouncedTextEvent]);
    return /* @__PURE__ */ React__default.createElement(InputFace, { variants, className }, /* @__PURE__ */ React__default.createElement(InputLeft, null, /* @__PURE__ */ React__default.createElement(IoSearchOutline, { "data-testid": "icon-search-left" })), /* @__PURE__ */ React__default.createElement(InputBox, { ...rest, ref, onChange: (e) => setSearchInputEvent(e) }));
  }
);

export { InputSearch };
