import { clsx } from 'clsx';
import React__default from 'react';

const Root = ({ children, className, ...rest }) => {
  return /* @__PURE__ */ React__default.createElement(
    "div",
    {
      ...rest,
      className: clsx(
        "border border-dashed border-secondary-medium rounded-mili bg-secondary-xlight overflow-hidden",
        className
      )
    },
    children
  );
};
const Header = ({ children, className, ...rest }) => {
  return /* @__PURE__ */ React__default.createElement("div", { ...rest, className: clsx("p-deca", className) }, children);
};
const Body = ({ children, className, ...rest }) => {
  return /* @__PURE__ */ React__default.createElement("div", { ...rest, className: clsx("overflow-y-scroll", className) }, children);
};
const ContainerList = ({ children, className, ...rest }) => {
  return /* @__PURE__ */ React__default.createElement("div", { ...rest, className: clsx("px-deca", className) }, children);
};
const Kanban = {
  Root,
  Header,
  Body,
  ContainerList
};

export { Kanban };
