import React__default from 'react';
import { menubar, animate } from '../../styles/menubar.js';
import clsx from 'clsx';
import '@internationalized/date';
import 'react-aria';
import 'react-stately';
import '../Popover/Context.js';
import 'react-dropzone';
import 'uuid';
import '@floating-ui/react';
import 'currency.js';
import '../../provider/MenubarContext.js';
import '../../provider/SnackbarProvider.js';
import { useMenubar } from '../../provider/useMenubar.js';

const { dropdown } = menubar();
const Dropdown = ({ children, ...rest }) => {
  const [show] = useMenubar();
  return /* @__PURE__ */ React__default.createElement(
    "div",
    {
      className: clsx(dropdown({ show }), animate({ show })),
      "data-testid": "dropdown-menubar",
      ...rest
    },
    children
  );
};

export { Dropdown as default };
