import React__default from 'react';
import Categories from './Categories.js';
import Category from './Category.js';
import Dropdown from './Dropdown.js';
import Item from './Item.js';
import MostUsed from './MostUsed.js';
import MostUsedList from './MostUsedList.js';
import SubItem from './SubItem.js';

const DropdownRoot = ({
  mostUsed,
  options,
  labelMostUsed
}) => {
  const hasMostUsed = mostUsed && (mostUsed ?? []).length > 0;
  return /* @__PURE__ */ React__default.createElement(Dropdown, null, hasMostUsed ? /* @__PURE__ */ React__default.createElement(MostUsed, { label: labelMostUsed }, /* @__PURE__ */ React__default.createElement(MostUsedList, { mostUsed })) : /* @__PURE__ */ React__default.createElement(React__default.Fragment, null), /* @__PURE__ */ React__default.createElement(Categories, null, options.map((item, index) => /* @__PURE__ */ React__default.createElement(
    Category,
    {
      key: `${item.title}-${index}`,
      title: item.title,
      options: item.items,
      render: (prop) => {
        const { title, items, ...rest } = prop;
        return /* @__PURE__ */ React__default.createElement(
          Item,
          {
            key: prop.title,
            ...rest,
            parentCategoryTitle: item.title,
            title,
            subItems: items ?? [],
            renderSubItems: ({ title: title2, ...rest2 }) => {
              return /* @__PURE__ */ React__default.createElement(SubItem, { key: title2, ...rest2 }, title2);
            }
          },
          title
        );
      }
    }
  ))));
};

export { DropdownRoot as default };
