import React__default from 'react';
import { IoCloseOutline, IoMenu } from 'react-icons/io5';
import '@internationalized/date';
import 'react-aria';
import 'react-stately';
import '../Popover/Context.js';
import 'react-dropzone';
import 'uuid';
import '@floating-ui/react';
import 'currency.js';
import '../../provider/MenubarContext.js';
import '../../provider/SnackbarProvider.js';
import { useMenubar } from '../../provider/useMenubar.js';
import { menubar } from '../../styles/menubar.js';
import { Button } from '../Button.js';

const { header } = menubar();
const Header = ({ children, className, ...rest }) => {
  const [show, setShow] = useMenubar();
  return /* @__PURE__ */ React__default.createElement(
    "div",
    {
      className: header({ className }),
      "data-testid": "header-menubar",
      ...rest
    },
    /* @__PURE__ */ React__default.createElement(Button, { variants: { size: "square" }, onClick: () => setShow(!show) }, show ? /* @__PURE__ */ React__default.createElement(IoCloseOutline, { size: 16 }) : /* @__PURE__ */ React__default.createElement(IoMenu, { size: 16 })),
    children
  );
};

export { Header as default };
