import React__default from 'react';
import { mostUsed } from '../../styles/menubar.js';
import '@internationalized/date';
import 'react-aria';
import 'react-stately';
import '../Popover/Context.js';
import { useDimensions } from '../../hooks/useDimensions.js';
import 'react-dropzone';
import 'uuid';
import '@floating-ui/react';
import 'currency.js';

const { container, label: labelClass, containerList } = mostUsed();
const MostUsed = ({ label, children, ...rest }) => {
  const { width } = useDimensions();
  if (width <= 640) return /* @__PURE__ */ React__default.createElement(React__default.Fragment, null);
  return /* @__PURE__ */ React__default.createElement("div", { className: container(), "data-testid": "most-used-menubar", ...rest }, /* @__PURE__ */ React__default.createElement("p", { className: labelClass() }, label), /* @__PURE__ */ React__default.createElement("div", { className: containerList() }, children));
};

export { MostUsed as default };
