import React__default from 'react';
import { mostUsedItem } from '../../styles/menubar.js';
import { Card } from '../Card.js';
import ItemLink from './ItemLink.js';

const {
  title: titleClass,
  category: categoryClass,
  container
} = mostUsedItem();
const MostUsedItem = ({
  title,
  category,
  anchorProps,
  ...rest
}) => {
  return /* @__PURE__ */ React__default.createElement(ItemLink, { anchorProps, className: "flex flex-grow" }, /* @__PURE__ */ React__default.createElement(
    Card,
    {
      ...rest,
      "data-testid": "most-used-item-menubar",
      className: container()
    },
    /* @__PURE__ */ React__default.createElement("p", { className: titleClass() }, title),
    /* @__PURE__ */ React__default.createElement("p", { className: categoryClass() }, category)
  ));
};

export { MostUsedItem as default };
