import React__default from 'react';
import { Input } from '../Input/index.js';
import clsx from 'clsx';
import { animate } from '../../styles/menubar.js';
import '@internationalized/date';
import 'react-aria';
import 'react-stately';
import '../Popover/Context.js';
import 'react-dropzone';
import 'uuid';
import '@floating-ui/react';
import 'currency.js';
import '../../provider/MenubarContext.js';
import '../../provider/SnackbarProvider.js';
import { useMenubar } from '../../provider/useMenubar.js';

const Search = (props) => {
  const [show] = useMenubar();
  const { className } = props;
  return /* @__PURE__ */ React__default.createElement(
    Input.Search,
    {
      ...props,
      className: clsx("flex-1", animate({ show }), className)
    }
  );
};

export { Search as default };
