import React__default from 'react';
import { subItem } from '../../styles/menubar.js';
import ItemLink from './ItemLink.js';
import '@internationalized/date';
import 'react-aria';
import 'react-stately';
import '../Popover/Context.js';
import 'react-dropzone';
import 'uuid';
import '@floating-ui/react';
import 'currency.js';
import '../../provider/MenubarContext.js';
import '../../provider/SnackbarProvider.js';
import { useMenubar } from '../../provider/useMenubar.js';

const { container } = subItem();
const SubItem = ({
  children,
  anchorProps,
  className,
  ...rest
}) => {
  const [, setShow] = useMenubar();
  return /* @__PURE__ */ React__default.createElement(ItemLink, { anchorProps }, /* @__PURE__ */ React__default.createElement(
    "div",
    {
      ...rest,
      "data-testid": "sub-item-menubar",
      className: container({ className }),
      onClick: () => {
        setShow(false);
      }
    },
    children
  ));
};

export { SubItem as default };
