import { overlay, modal } from '@tecsinapse/cortex-core';
import React__default, { forwardRef } from 'react';

const Modal = forwardRef((props, ref) => {
  const { open, onClose, children, className } = props;
  return /* @__PURE__ */ React__default.createElement("div", { ref, ...props }, /* @__PURE__ */ React__default.createElement(
    "div",
    {
      "data-testid": "overlay",
      className: overlay({ show: open }),
      onClick: onClose
    }
  ), /* @__PURE__ */ React__default.createElement("dialog", { "data-testid": "modal", className: modal({ open, className }) }, children));
});

export { Modal };
