import { FloatingFocusManager } from '@floating-ui/react';
import clsx from 'clsx';
import React__default from 'react';
import { usePopoverContext } from './Context.js';

const PopoverContent = ({
  children,
  className,
  modal = false,
  style,
  ...rest
}) => {
  const {
    isOpen,
    x,
    y,
    strategy,
    floatingStyles,
    refs,
    getFloatingProps,
    context
  } = usePopoverContext();
  return /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, isOpen && /* @__PURE__ */ React__default.createElement(FloatingFocusManager, { ...rest, context, modal }, /* @__PURE__ */ React__default.createElement(
    "div",
    {
      ref: refs.setFloating,
      ...getFloatingProps(),
      className: clsx(
        "border border-gray-200 bg-black p-[0px] rounded-md shadow-lg z-popover",
        className
      ),
      style: {
        position: strategy,
        top: y ?? 0,
        left: x ?? 0,
        ...style,
        ...floatingStyles
      }
    },
    children
  )));
};

export { PopoverContent };
