import { createContext, useContext } from 'react';

const Context = createContext(void 0);
const usePopoverContext = () => {
  const context = useContext(Context);
  if (!context) {
    throw new Error("usePopoverContext must be used within a PopoverProvider");
  }
  return context;
};

export { Context, usePopoverContext };
