import React__default from 'react';
import '@internationalized/date';
import 'react-aria';
import 'react-stately';
import { Context } from './Context.js';
import 'react-dropzone';
import 'uuid';
import { useFloatingElement } from '../../hooks/useFloatingElement.js';
import 'currency.js';

const PopoverProvider = ({
  children,
  placement,
  trigger,
  fallbackPlacements,
  ...props
}) => {
  const floatingLogic = useFloatingElement({
    placement,
    trigger,
    fallbackPlacements,
    ...props
  });
  return /* @__PURE__ */ React__default.createElement(Context.Provider, { value: { ...floatingLogic } }, children);
};

export { PopoverProvider };
