import '@internationalized/date';
import { cloneWithProps } from '../../utils/react.js';
import { usePopoverContext } from './Context.js';

const isDisabledProps = {
  onClick: () => void 0,
  onKeyDown: () => void 0,
  onMouseDown: () => void 0,
  onKeyUp: () => void 0,
  onPointerDown: () => void 0
};
const PopoverTrigger = ({ children, disabled }) => {
  const { triggerProps } = usePopoverContext();
  const isDisabled = disabled ?? children.props?.disabled;
  return cloneWithProps(children, {
    ...triggerProps,
    ...isDisabled ? isDisabledProps : {}
  });
};

export { PopoverTrigger };
