import React__default from 'react';
import '../../styles/calendar-cell.js';
import '../../styles/date-picker-input-base.js';
import '../../styles/date-segment.js';
import '../../styles/groupButton.js';
import { ProgressVariants } from '../../styles/progressBar.js';

const { container, bar, progress } = ProgressVariants();
const Progress = ({
  value,
  intent = "default",
  infinite
}) => {
  return /* @__PURE__ */ React__default.createElement("div", { className: container(), "data-testid": "linear-progress" }, /* @__PURE__ */ React__default.createElement("div", { className: bar() }, /* @__PURE__ */ React__default.createElement(
    "div",
    {
      style: {
        width: !infinite ? `${value}%` : void 0,
        transition: !infinite ? "width 0.5s ease" : void 0
      },
      "data-testid": "progress-filled",
      className: progress({ intent, infinite })
    }
  )));
};

export { Progress };
