import { radioButtonStyles } from '@tecsinapse/cortex-core';
import React__default, { forwardRef } from 'react';

const { container, input, label: labelStyle } = radioButtonStyles();
const RadioButton = forwardRef(
  ({ label, reversed, id, ...rest }, ref) => {
    return /* @__PURE__ */ React__default.createElement(
      "div",
      {
        className: container({ reversed }),
        ref,
        "data-testid": "radio-button-container"
      },
      /* @__PURE__ */ React__default.createElement("input", { id, type: "radio", className: input(), ...rest }),
      label ? /* @__PURE__ */ React__default.createElement("label", { htmlFor: id, className: labelStyle() }, label) : /* @__PURE__ */ React__default.createElement(React__default.Fragment, null)
    );
  }
);

export { RadioButton };
