import { option, checkbox } from '@tecsinapse/cortex-core';
import React__default, { useContext, useMemo, useCallback } from 'react';
import { SelectContext, SelectMultiOptionsContext } from './context.js';

const SelectMultiCheckAllOptions = ({
  checkAllLabel = "Select all"
}) => {
  const { keyExtractor, value: currentValue = [] } = useContext(SelectContext);
  const { options, onSelect } = useContext(SelectMultiOptionsContext);
  const isChecked = useMemo(
    () => (options ?? []).filter(
      (it) => currentValue.find((value) => keyExtractor(value) === keyExtractor(it))
    ).length == (options ?? []).length,
    [keyExtractor, currentValue, options]
  );
  const checkAll = useCallback(() => {
    {
      const updateSelected = Array.from(currentValue);
      if (!isChecked) {
        const notSelected = options?.filter(
          (option2) => !updateSelected.find(
            (it) => keyExtractor(it) === keyExtractor(option2)
          )
        );
        updateSelected.push(...notSelected ?? []);
      } else {
        const elementsToDelete = updateSelected.map(
          (it) => options?.find((option2) => keyExtractor(option2) === keyExtractor(it))
        ).filter((it) => it);
        elementsToDelete.map((it) => {
          updateSelected.splice(updateSelected.indexOf(it), 1);
        });
      }
      onSelect(updateSelected);
    }
  }, [options, onSelect]);
  return options?.length ? /* @__PURE__ */ React__default.createElement("div", { className: option(), onClick: checkAll }, /* @__PURE__ */ React__default.createElement(
    "input",
    {
      type: "checkbox",
      className: checkbox(),
      onChange: () => void 0,
      checked: isChecked
    }
  ), /* @__PURE__ */ React__default.createElement("span", null, checkAllLabel)) : /* @__PURE__ */ React__default.createElement(React__default.Fragment, null);
};

export { SelectMultiCheckAllOptions };
