import { selectVariants } from '@tecsinapse/cortex-core';
import React__default, { useContext } from 'react';
import '@internationalized/date';
import 'react-aria';
import 'react-stately';
import '../Popover/Context.js';
import 'react-dropzone';
import 'uuid';
import '@floating-ui/react';
import 'currency.js';
import { useSelectOptions } from '../../hooks/useSelectOptions.js';
import { SelectMultiOption } from './MultiOption.js';
import { SkeletonOptions } from './SkeletonOptions.js';
import { SelectContext, SelectMultiOptionsContext } from './context.js';
import { handleSelectMulti } from './utils.js';

const { list } = selectVariants();
const SelectMultiOptions = ({
  onSelect,
  options,
  children
}) => {
  const { keyExtractor, value: currentValue = [] } = useContext(SelectContext);
  const { options: _options, isLoading } = useSelectOptions({ options });
  return /* @__PURE__ */ React__default.createElement(SelectMultiOptionsContext.Provider, { value: { onSelect, options: _options } }, isLoading ? /* @__PURE__ */ React__default.createElement(SkeletonOptions, null) : /* @__PURE__ */ React__default.createElement("ul", { role: "select", className: list() }, children, _options?.map((option) => /* @__PURE__ */ React__default.createElement(
    SelectMultiOption,
    {
      option,
      key: keyExtractor(option),
      onSelectOption: (option2) => handleSelectMulti(option2, currentValue, onSelect, keyExtractor)
    }
  ))));
};

export { SelectMultiOptions };
