import { option } from '@tecsinapse/cortex-core';
import React__default, { useContext } from 'react';
import { SelectContext } from './context.js';

const SelectOption = ({
  onSelectOption,
  option: option$1,
  grouped = false
}) => {
  const { keyExtractor, labelExtractor, value } = useContext(SelectContext);
  return /* @__PURE__ */ React__default.createElement(
    "li",
    {
      onClick: () => onSelectOption(option$1),
      className: option({
        selected: value && keyExtractor(value) === keyExtractor(option$1),
        grouped
      }),
      role: "option"
    },
    labelExtractor(option$1)
  );
};

export { SelectOption };
