import React__default, { useContext } from 'react';
import { Popover } from '../Popover/index.js';
import { FloatingPortal } from '@floating-ui/react';
import { SelectContext } from './context.js';

const SelectPopover = ({ children }) => {
  const { triggerWidth } = useContext(SelectContext);
  return /* @__PURE__ */ React__default.createElement(FloatingPortal, null, /* @__PURE__ */ React__default.createElement(
    Popover.Content,
    {
      className: "bg-white max-h-[30vh] overflow-y-scroll gap-y-mili flex flex-col p-0",
      style: {
        width: triggerWidth ? `${triggerWidth}px` : "auto",
        zIndex: 9999
      }
    },
    children
  ));
};

export { SelectPopover };
