import React__default, { useState } from 'react';
import { Popover } from '../Popover/index.js';
import { Content } from './Content.js';
import { SelectContext } from './context.js';

const SelectRoot = ({
  children,
  value,
  keyExtractor,
  labelExtractor,
  className
}) => {
  const [triggerWidth, setTriggerWidth] = useState(0);
  return /* @__PURE__ */ React__default.createElement(
    Popover.Root,
    {
      fallbackPlacements: ["bottom", "top"],
      placement: "bottom",
      trigger: "click"
    },
    /* @__PURE__ */ React__default.createElement(
      SelectContext.Provider,
      {
        value: {
          value,
          keyExtractor,
          labelExtractor,
          triggerWidth,
          setTriggerWidth
        }
      },
      /* @__PURE__ */ React__default.createElement(Content, { className }, children)
    )
  );
};

export { SelectRoot };
