import React__default from 'react';
import { StepNodeVariants } from '../../styles/stepNodeVariants.js';

const Node = ({
  marked = false,
  intent = "success",
  isFirst = false,
  isLast = false,
  segmented = false,
  selected = false,
  interactive = true,
  children,
  className,
  ...rest
}) => {
  const { container, content, separator } = StepNodeVariants({
    intent,
    marked,
    isFirst,
    isLast,
    selected: selected && interactive,
    disabled: rest.disabled,
    interactive
  });
  return /* @__PURE__ */ React__default.createElement("button", { type: "button", className: container({ className }), ...rest }, children ? /* @__PURE__ */ React__default.createElement("div", { className: content() }, children) : /* @__PURE__ */ React__default.createElement(React__default.Fragment, null), segmented ? /* @__PURE__ */ React__default.createElement("div", { className: separator() }) : /* @__PURE__ */ React__default.createElement(React__default.Fragment, null));
};

export { Node };
