import { tHead, tRow, tHeadCell, hr, tCell, tFoot, tRoot } from '@tecsinapse/cortex-core';
import React__default from 'react';

const THead = ({
  children,
  className,
  ...rest
}) => /* @__PURE__ */ React__default.createElement("thead", { className: tHead({ className }), "data-testid": "thead", ...rest }, children);
const TRow = ({
  children,
  className,
  ...rest
}) => /* @__PURE__ */ React__default.createElement("tr", { className: tRow({ className }), "data-testid": "trow", ...rest }, children);
const THeadCell = ({
  children,
  className,
  ...rest
}) => /* @__PURE__ */ React__default.createElement("th", { className: tHeadCell({ className }), "data-testid": "thead-cell", ...rest }, children);
const TRowHeader = ({
  children
}) => /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, /* @__PURE__ */ React__default.createElement("tr", { className: tRow(), "data-testid": "trow-header" }, children), /* @__PURE__ */ React__default.createElement("tr", { className: tRow() }, /* @__PURE__ */ React__default.createElement("td", { colSpan: 99 }, /* @__PURE__ */ React__default.createElement("hr", { className: hr() }))));
const TCell = ({
  children,
  className,
  ...rest
}) => /* @__PURE__ */ React__default.createElement("td", { className: tCell({ className }), "data-testid": "tcell", ...rest }, children);
const TFoot = ({
  children,
  className,
  ...rest
}) => /* @__PURE__ */ React__default.createElement("tfoot", { className: tFoot({ className }), "data-testid": "tfoot", ...rest }, children);
const Table = ({
  children,
  className,
  ...rest
}) => /* @__PURE__ */ React__default.createElement("table", { className: tRoot({ className }), "data-testid": "table", ...rest }, children);
const Td = ({
  children,
  ...rest
}) => /* @__PURE__ */ React__default.createElement("td", { "data-testid": "td", ...rest }, children);

export { TCell, TFoot, THead, THeadCell, TRow, TRowHeader, Table, Td };
