import { tag } from '@tecsinapse/cortex-core';
import React__default, { forwardRef } from 'react';
import { LiaTimesSolid } from 'react-icons/lia';

const Close = ({
  onClick,
  className,
  ...rest
}) => {
  return /* @__PURE__ */ React__default.createElement(
    "button",
    {
      ...rest,
      type: "button",
      onClick,
      "data-testid": "tag-close-button"
    },
    /* @__PURE__ */ React__default.createElement(LiaTimesSolid, { className })
  );
};
const Label = ({
  children,
  className,
  ...rest
}) => {
  return /* @__PURE__ */ React__default.createElement("p", { className, ...rest }, children);
};
const Face = forwardRef((props, ref) => {
  const { variants, className, intent, children, style, ...rest } = props;
  return /* @__PURE__ */ React__default.createElement(
    "div",
    {
      ...rest,
      className: tag({
        intent,
        ...variants,
        className
      }),
      style,
      ref
    },
    children
  );
});
const Root = forwardRef(
  (props, ref) => {
    const { label, variants, intent, className, onDismiss, ...rest } = props;
    return /* @__PURE__ */ React__default.createElement(
      Face,
      {
        ...rest,
        variants,
        intent,
        className,
        ref
      },
      /* @__PURE__ */ React__default.createElement(Label, null, label),
      onDismiss ? /* @__PURE__ */ React__default.createElement(Close, { onClick: onDismiss }) : null
    );
  }
);
const Tag = {
  Root,
  Close,
  Label,
  Face
};

export { Tag };
