import { inputBox, labelStyle } from '@tecsinapse/cortex-core';
import clsx from 'clsx';
import React__default from 'react';

const TextAreaBox = React__default.forwardRef(
  ({
    id,
    name,
    variants,
    label,
    placeholder,
    rows,
    className,
    ...rest
  }, ref) => {
    return /* @__PURE__ */ React__default.createElement("div", { className: "flex w-full flex-col" }, /* @__PURE__ */ React__default.createElement(
      "textarea",
      {
        "data-testid": "textarea-box",
        ref,
        id: id ?? name,
        name,
        placeholder: placeholder ?? " ",
        className: clsx(
          inputBox(placeholder, label, className),
          "resize-none mt-mili"
        ),
        rows,
        ...rest
      }
    ), /* @__PURE__ */ React__default.createElement(
      "label",
      {
        htmlFor: id ?? name,
        className: labelStyle({
          intent: variants?.intent,
          placeholder
        })
      },
      label
    ));
  }
);

export { TextAreaBox };
