import { input } from '@tecsinapse/cortex-core';
import clsx from 'clsx';
import React__default from 'react';
import { getValidChildren } from './utils.js';

const TextAreaFace = React__default.forwardRef(
  ({ children, variants, className, ...rest }, ref) => {
    const clones = getValidChildren(children).map((el) => {
      return React__default.cloneElement(el, { ...el.props, variants });
    });
    return /* @__PURE__ */ React__default.createElement(
      "div",
      {
        ref,
        className: clsx(input(variants), className),
        "data-testid": "textarea-face",
        id: "textarea-face",
        ...rest
      },
      clones
    );
  }
);

export { TextAreaFace };
