import React__default from 'react';
import { useLocale, useTimeField } from 'react-aria';
import { useTimeFieldState } from 'react-stately';
import { DateSegment } from '../DatePicker/DateSegment.js';

const TimeField = ({ disabled, ...props }) => {
  const { locale } = useLocale();
  const state = useTimeFieldState({
    ...props,
    locale,
    isDisabled: disabled
  });
  const ref = React__default.useRef(null);
  const { fieldProps } = useTimeField(
    { "aria-label": "time-field" },
    state,
    ref
  );
  return /* @__PURE__ */ React__default.createElement("div", { ...fieldProps, ref, className: "flex flex-row" }, state.segments.map((segment, i) => /* @__PURE__ */ React__default.createElement(DateSegment, { key: i, segment, state })));
};

export { TimeField };
