import { labelStyle, inputBox } from '@tecsinapse/cortex-core';
import React__default from 'react';
import { timeFromTimeValue } from '../../utils/date.js';
import { Input } from '../Input/index.js';
import { TimeField } from './TimeField.js';

const TimeFieldInput = (props) => {
  const {
    onChange,
    value,
    label,
    variants,
    hourCycle = 24,
    granularity = "minute",
    disabled = false
  } = props;
  return /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, /* @__PURE__ */ React__default.createElement(
    Input.Face,
    {
      variants,
      className: "flex flex-row",
      "data-testid": "time-field-input"
    },
    /* @__PURE__ */ React__default.createElement("span", { className: labelStyle({}) }, label),
    /* @__PURE__ */ React__default.createElement("div", { className: inputBox("", label) }, /* @__PURE__ */ React__default.createElement(
      TimeField,
      {
        onChange: (value2) => {
          onChange(timeFromTimeValue(value2));
        },
        value,
        hourCycle,
        granularity,
        isDisabled: disabled
      }
    ))
  ));
};

export { TimeFieldInput };
