import { FloatingArrow } from '@floating-ui/react';
import React__default, { forwardRef, useRef } from 'react';
import '@internationalized/date';
import 'react-aria';
import 'react-stately';
import { cloneWithProps } from '../utils/react.js';
import './Popover/Context.js';
import 'react-dropzone';
import 'uuid';
import { useFloatingElement } from '../hooks/useFloatingElement.js';
import 'currency.js';

const Tooltip = forwardRef(
  (props, ref) => {
    const {
      children,
      text,
      trigger = "hover",
      placement = "top",
      width,
      height,
      style,
      delay = { open: 500, close: 0 }
    } = props;
    const arrowRef = useRef(null);
    const {
      isOpen,
      triggerProps,
      x,
      y,
      strategy,
      refs,
      context,
      floatingStyles,
      getFloatingProps
    } = useFloatingElement({ placement, arrowRef, trigger, delay });
    return /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, cloneWithProps(children, triggerProps), isOpen ? /* @__PURE__ */ React__default.createElement(
      "div",
      {
        ref: ref || refs.setFloating,
        className: "bg-black text-white p-2 rounded z-50 shadow-md text-justify",
        style: {
          position: strategy,
          top: y ?? 0,
          left: x ?? 0,
          width,
          height,
          ...style,
          ...floatingStyles
        },
        ...getFloatingProps()
      },
      text,
      /* @__PURE__ */ React__default.createElement(FloatingArrow, { ref: arrowRef, context, fill: "black" })
    ) : null);
  }
);

export { Tooltip };
