import React__default from 'react';
import { MdClose } from 'react-icons/md';
import { button } from '@tecsinapse/cortex-core';
import { Modal as Modal$1 } from '../Modal.js';
import { createPortal } from 'react-dom';

const Modal = ({
  open,
  onClose,
  children,
  title = "File Upload"
}) => {
  return createPortal(
    /* @__PURE__ */ React__default.createElement(
      Modal$1,
      {
        open,
        onClose,
        className: "flex flex-col bg-secondary-xlight rounded-mili min-w-[70vw] max-w-[95vh] max-h-[95vh] overflow-auto"
      },
      /* @__PURE__ */ React__default.createElement("div", { className: "flex w-full items-center justify-between mb-deca" }, /* @__PURE__ */ React__default.createElement("div", null), /* @__PURE__ */ React__default.createElement("h2", { className: "text-deca font-semibold" }, title), /* @__PURE__ */ React__default.createElement(
        "button",
        {
          className: button({ size: "square" }),
          onClick: onClose,
          "data-testid": "close-button"
        },
        /* @__PURE__ */ React__default.createElement(MdClose, { size: 20 })
      )),
      children
    ),
    document.body
  );
};

export { Modal };
