import React__default from 'react';
import { Modal } from './Modal.js';
import { Dropzone } from './Dropzone.js';
import { Files } from './Files.js';

const Root = ({
  open,
  onClose,
  files,
  onDelete,
  dropzoneProps,
  selectFileText,
  dropText,
  buttonText,
  uploadProgressText,
  titleModal
}) => {
  return /* @__PURE__ */ React__default.createElement(Modal, { onClose, open, title: titleModal }, /* @__PURE__ */ React__default.createElement("div", { className: "flex flex-1 flex-col w-full gap-deca md:flex-row" }, /* @__PURE__ */ React__default.createElement(
    Dropzone,
    {
      dropzoneProps,
      selectFileText,
      dropText,
      buttonText
    }
  ), /* @__PURE__ */ React__default.createElement(
    Files,
    {
      files,
      onDelete,
      uploadProgressText
    }
  )));
};

export { Root };
