import { button } from '@tecsinapse/cortex-core';
import React__default from 'react';
import { FaRegFileLines } from 'react-icons/fa6';
import { MdClose } from 'react-icons/md';
import { ProgressBar } from '../ProgressBar/ProgressBar.js';

const File = ({ file, index, onDelete }) => {
  function statusIntent(status) {
    switch (status) {
      case "success":
        return "success";
      case "error":
        return "error";
      default:
        return "info";
    }
  }
  return /* @__PURE__ */ React__default.createElement("div", { className: "flex flex-col", key: index }, /* @__PURE__ */ React__default.createElement("div", { className: "flex items-center justify-between border rounded-t-mili shadow p-mili" }, /* @__PURE__ */ React__default.createElement("div", { className: "flex gap-centi" }, file.file && file.file.type.startsWith("image/") ? /* @__PURE__ */ React__default.createElement(
    "img",
    {
      src: URL.createObjectURL(file.file),
      alt: "Preview",
      className: "w-tera h-tera rounded-mili"
    }
  ) : /* @__PURE__ */ React__default.createElement("span", { className: "border-2 text-kilo text-primary-medium w-tera h-tera flex items-center justify-center rounded-mili" }, /* @__PURE__ */ React__default.createElement(FaRegFileLines, null)), /* @__PURE__ */ React__default.createElement("div", { className: "flex-col" }, /* @__PURE__ */ React__default.createElement("p", { className: "font-semibold truncate max-w-[200px]" }, file.file.name), /* @__PURE__ */ React__default.createElement("p", { className: "text-sm text-gray-500" }, (file.file.size / 1024).toFixed(2), " KB"))), file.status === "success" && /* @__PURE__ */ React__default.createElement(
    "button",
    {
      onClick: () => onDelete(index),
      "data-testid": "remove-button",
      className: button({
        className: " bg-inherit border-2 border-primary-light text-primary-light",
        size: "small"
      })
    },
    /* @__PURE__ */ React__default.createElement(MdClose, { size: 20 })
  )), /* @__PURE__ */ React__default.createElement(
    ProgressBar,
    {
      intent: statusIntent(file.status),
      infinite: file.status === "uploading"
    }
  ));
};

export { File };
