import { createCalendar } from '@internationalized/date';
import { useLocale, useCalendar as useCalendar$1 } from 'react-aria';
import { useCalendarState } from 'react-stately';
import { dateToCalendarDateTime, calendarDateToDate } from '../utils/date.js';
import 'react';

const useCalendar = ({ value, onChange }) => {
  const { locale } = useLocale();
  const state = useCalendarState({
    locale,
    createCalendar,
    defaultValue: value ? dateToCalendarDateTime(value) : null,
    onChange: (value2) => onChange(calendarDateToDate(value2))
  });
  const { calendarProps, title } = useCalendar$1({}, state);
  return {
    calendarProps,
    title,
    state
  };
};

export { useCalendar };
