import { useCallback } from 'react';
import { usePopoverContext } from '../components/Popover/Context.js';

const useDatePickerInputCommon = ({
  onChangeCalendar,
  onChangeRangeCalendar
}) => {
  const { setIsOpen } = usePopoverContext();
  const handleTogglePopover = useCallback(() => {
    setIsOpen((open) => !open);
  }, []);
  const handleChangeCalendar = useCallback((value) => {
    setIsOpen(false);
    onChangeCalendar?.(value);
    onChangeRangeCalendar?.(value);
  }, []);
  const handleCloseCalendar = useCallback(() => {
    setIsOpen(false);
  }, []);
  return {
    handleTogglePopover,
    handleChangeCalendar,
    handleCloseCalendar
  };
};

export { useDatePickerInputCommon };
