import React__default, { createContext, useState, useContext } from 'react';

const CategoriesContext = createContext(null);
const CategoriesProvider = ({ children }) => {
  const [expandedMenus, setExpandedMenus] = useState({});
  const toggleSubmenu = (categoryId, submenuId) => {
    setExpandedMenus((prev) => {
      return {
        ...prev,
        [categoryId]: prev[categoryId] === submenuId ? null : submenuId
      };
    });
  };
  return /* @__PURE__ */ React__default.createElement(CategoriesContext.Provider, { value: { expandedMenus, toggleSubmenu } }, children);
};
const useCategories = () => {
  const context = useContext(CategoriesContext);
  if (!context) {
    throw new Error("useCategories must be used within CategoriesProvider");
  }
  return context;
};

export { CategoriesProvider, useCategories };
