import React__default, { useRef, useEffect } from 'react';
import '@internationalized/date';
import 'react-aria';
import 'react-stately';
import '../components/Popover/Context.js';
import 'react-dropzone';
import 'uuid';
import '@floating-ui/react';
import 'currency.js';
import { useOutsideClickListener } from '../hooks/useOutsideClickListener.js';
import { MenubarContext } from './MenubarContext.js';

const MenubarProvider = ({ children }) => {
  const [show, setShow] = React__default.useState(false);
  const ref = useRef(null);
  const showRef = useRef(false);
  useEffect(() => {
    showRef.current = show;
  }, [show]);
  const onClickOutside = () => {
    if (showRef.current === true) {
      setShow(false);
    }
  };
  useOutsideClickListener({
    ref,
    onClickOutside
  });
  return /* @__PURE__ */ React__default.createElement(MenubarContext.Provider, { value: { show, setShow } }, /* @__PURE__ */ React__default.createElement("div", { ref }, children));
};

export { MenubarProvider };
