import React__default, { createContext, useContext } from 'react';
import { Toaster } from 'sonner';
import { SnackbarSonner } from '../service/SnackbarSonner.js';

const SnackbarContext = createContext(null);
const SnackbarProvider = ({
  children,
  options
}) => {
  const snackbar = new SnackbarSonner(options);
  return /* @__PURE__ */ React__default.createElement(SnackbarContext.Provider, { value: { snackbar } }, children, /* @__PURE__ */ React__default.createElement(Toaster, null));
};
const useSnackbar = () => {
  const context = useContext(SnackbarContext);
  if (!context) {
    throw new Error("useSnackbar must be used within a SnackbarProvider");
  }
  return context;
};

export { SnackbarProvider, useSnackbar };
