import { useContext } from 'react';
import { MenubarContext } from './MenubarContext.js';

const useMenubar = () => {
  const context = useContext(MenubarContext);
  if (!context) {
    throw new Error("useMenubar must be used within a MenubarProvider");
  }
  return [context.show, context.setShow];
};

export { useMenubar };
