import React__default from 'react';
import { toast } from 'sonner';
import { DefaultSnack } from '../components/Snackbar/DefaultSnack.js';

class SnackbarSonner {
  _options;
  constructor(options) {
    this._options = { ...options, duration: options?.duration ?? 5e3 };
  }
  custom(Component, options) {
    return toast.custom(() => Component, {
      ...this._options,
      ...options
    });
  }
  show(type, message, options) {
    return toast.custom(
      (t) => {
        return /* @__PURE__ */ React__default.createElement(
          DefaultSnack,
          {
            text: message,
            variants: { intent: type },
            onDismiss: () => {
              toast.dismiss(t);
              if (options?.onDismiss && typeof options?.onDismiss === "function") {
                options.onDismiss();
              }
            }
          }
        );
      },
      { ...this._options, ...options }
    );
  }
}

export { SnackbarSonner };
