import { CalendarDateTime, getLocalTimeZone, Time } from '@internationalized/date';

const dateToCalendarDateTime = (value) => {
  return new CalendarDateTime(
    value?.getFullYear() ?? (/* @__PURE__ */ new Date()).getFullYear(),
    value?.getMonth() !== void 0 ? value.getMonth() + 1 : (/* @__PURE__ */ new Date()).getMonth() + 1,
    value?.getDate() ?? (/* @__PURE__ */ new Date()).getDate(),
    value?.getHours() ?? (/* @__PURE__ */ new Date()).getHours(),
    value?.getMinutes() ?? (/* @__PURE__ */ new Date()).getMinutes(),
    value?.getSeconds() ?? (/* @__PURE__ */ new Date()).getSeconds()
  );
};
const calendarDateToDate = (value) => {
  if (!value) return void 0;
  return value.toDate(getLocalTimeZone());
};
const timeFromTimeValue = (value) => {
  if (!value) return void 0;
  return new Time(value.hour, value.minute, value.second, value.millisecond);
};

export { calendarDateToDate, dateToCalendarDateTime, timeFromTimeValue };
