import React, { ReactNode } from 'react';
export interface GroupButtonValue<T> {
    value: T;
}
export interface GroupButtonProps<T> {
    value: T;
    options: GroupButtonValue<T>[];
    renderKey: (option?: T) => string | number;
    renderOption: (option: T) => ReactNode;
    onChange: (option: T) => void;
    customStyles?: {
        active?: string;
        firstButton?: string;
        lastButton?: string;
        inactive?: string;
    };
    disableAllOptions?: boolean;
    className?: string;
}
export declare const GroupButton: <T>(props: GroupButtonProps<T>) => React.JSX.Element;
