export declare const ExpressionMasks: {
    CPF: string;
    CNPJ: string;
    PHONE: string;
    PHONE_EXTENDED: string;
    DATE: string;
    CEP: string;
};
export declare const NumberIMask: {
    mask: NumberConstructor;
    scale: number;
};
export declare const CurrencyIMask: {
    mask: string;
    blocks: {
        num: {
            mask: NumberConstructor;
            scale: number;
            thousandsSeparator: string;
            padFractionalZeros: boolean;
            radix: string;
            mapToRadix: string[];
        };
    };
};
export declare const PercentageIMask: {
    mask: string;
    lazy: boolean;
    blocks: {
        num: {
            mask: NumberConstructor;
            scale: number;
            thousandsSeparator: string;
            padFractionalZeros: boolean;
            radix: string;
            mapToRadix: string[];
        };
    };
};
export declare const Masks: {
    CPF: string[];
    CNPJ: string[];
    DATE: string[];
    HOUR: string[];
    MONTH_YEAR: string[];
    CEP: string[];
    PHONE: string[];
    PHONE_EXTENDED: string[];
    COMBINED_PHONE: (value: string) => string[];
    COMBINED_CPF_CNPJ: (value: string) => string[];
};
export declare const BRLMask: {
    symbol: string;
    separator: string;
    decimal: string;
    precision: number;
};
export declare const PercentageMask: {
    symbol: string;
    separator: string;
    decimal: string;
    precision: number;
};
