import { InputBaseVariants } from '@tecsinapse/cortex-core';
import { CurrencyOptions } from '../../hooks';
export interface InputPropsBase {
    variants?: InputBaseVariants;
    label?: string;
}
export interface InputProps extends React.InputHTMLAttributes<HTMLInputElement>, InputPropsBase {
}
export interface InputFaceProps extends React.HTMLAttributes<HTMLDivElement>, Pick<InputPropsBase, 'variants'> {
}
export interface InputLeftProps extends React.HTMLAttributes<HTMLDivElement> {
    children: React.ReactNode;
    className?: string;
}
export interface InputRightProps extends React.HTMLAttributes<HTMLDivElement> {
    children: React.ReactNode;
    className?: string;
}
export interface InputSearchProps extends InputProps {
    bounceTimeout?: number;
}
export interface MaskValue {
    formatted?: string;
    raw?: string | number;
}
export type MaskType = string | RegExp | Array<RegExp>;
export interface InputMaskProps extends Omit<InputProps, 'onChange' | 'value'> {
    value?: string | number;
    onChange?: (value: any) => void;
    mask?: (MaskType[] | ((value: string) => MaskType[])) | CurrencyOptions;
}
