import { Placement } from '@floating-ui/react';
import React, { Dispatch, ReactNode, SetStateAction } from 'react';
export interface ControlledProps {
    controlled: true;
    isOpen: boolean;
    setIsOpen: Dispatch<SetStateAction<boolean>>;
    fallbackPlacements?: Array<Placement>;
}
export interface UncontrolledProviderProps {
    children: ReactNode;
    placement?: Placement;
    fallbackPlacements?: Array<Placement>;
    trigger?: 'hover' | 'click';
    controlled?: false;
}
export interface ControlledPopoverProviderProps extends Omit<UncontrolledProviderProps, 'controlled'>, ControlledProps {
}
export type PopoverProviderProps = UncontrolledProviderProps | ControlledPopoverProviderProps;
export declare const PopoverProvider: ({ children, placement, trigger, fallbackPlacements, ...props }: PopoverProviderProps) => React.JSX.Element;
