import React from 'react';
import { Placement } from '@floating-ui/react';
import { ControlledProps } from './Provider';
export interface UncontrolledPopoverProps {
    children: React.ReactNode;
    placement?: Placement;
    trigger?: 'hover' | 'click';
    controlled?: false;
}
export interface ControlledPopoverProps extends Omit<UncontrolledPopoverProps, 'controlled'>, ControlledProps {
}
export type PopoverRootProps = UncontrolledPopoverProps | ControlledPopoverProps;
export declare const PopoverRoot: ({ children, placement, trigger, ...props }: PopoverRootProps) => React.JSX.Element;
