import { TagVariants } from '@tecsinapse/cortex-core';
import React, { HTMLProps } from 'react';
export interface TagProps {
    variants?: TagVariants;
    intent?: TagVariants['intent'];
    label: string;
    onDismiss?: () => void;
}
export declare const Tag: {
    Root: React.ForwardRefExoticComponent<Omit<TagProps & React.HTMLProps<HTMLDivElement>, "ref"> & React.RefAttributes<HTMLDivElement>>;
    Close: ({ onClick, className, ...rest }: Omit<HTMLProps<HTMLButtonElement>, "children" | "type">) => React.JSX.Element;
    Label: ({ children, className, ...rest }: HTMLProps<HTMLParagraphElement>) => React.JSX.Element;
    Face: React.ForwardRefExoticComponent<Omit<Pick<TagProps, "intent" | "variants"> & React.HTMLProps<HTMLDivElement>, "ref"> & React.RefAttributes<HTMLDivElement>>;
};
