import { type DropEvent, type FileRejection } from 'react-dropzone';
import { AcceptSpecificMap, UseDropzoneProps, type FileUpload } from '../components/Uploader/types';
interface UseFileUploadOptions<T> {
    accept?: {
        IMAGE?: (typeof AcceptSpecificMap.IMAGE)[number][];
        APPLICATION?: (typeof AcceptSpecificMap.APPLICATION)[number][];
        AUDIO?: (typeof AcceptSpecificMap.AUDIO)[number][];
        VIDEO?: (typeof AcceptSpecificMap.VIDEO)[number][];
        TEXT?: (typeof AcceptSpecificMap.TEXT)[number][];
    };
    onAccept?: (files: FileUpload<T>[]) => Promise<FileUpload<T>[]>;
    onFileRejected?: (fileRejections: FileRejection[], event: DropEvent) => void;
    maxSize?: number;
    allowMultiple?: boolean;
    preventDuplicates?: boolean;
    onDuplicate?: (duplicates: File[]) => void;
}
export declare const useFileUpload: <T>({ accept, onAccept, onFileRejected, maxSize, allowMultiple, preventDuplicates, onDuplicate, }: UseFileUploadOptions<T>) => {
    onOpen: () => void;
    onClose: () => void;
    onDelete: (index: number) => void;
    dropzoneProps: UseDropzoneProps;
    open: boolean;
    files: FileUpload<T>[];
    duplicates: File[];
    onClearFiles: () => void;
};
export {};
