import { Placement } from '@floating-ui/react';
import { Dispatch, RefObject, SetStateAction } from 'react';
export type Delay = number | {
    open?: number;
    close?: number;
};
export interface FloatingElementProps {
    placement?: Placement;
    trigger?: 'hover' | 'click';
    delay?: Delay;
    arrowRef?: RefObject<SVGSVGElement>;
    controlled?: boolean;
    isOpen?: boolean;
    setIsOpen?: Dispatch<SetStateAction<boolean>> | undefined;
    fallbackPlacements?: Array<Placement>;
}
export declare const useFloatingElement: ({ placement, trigger, delay, arrowRef, controlled, isOpen, setIsOpen, fallbackPlacements, }: FloatingElementProps) => {
    isOpen: boolean;
    setIsOpen: Dispatch<SetStateAction<boolean>>;
    x: number;
    y: number;
    strategy: import("@floating-ui/utils").Strategy;
    refs: {
        reference: import("react").MutableRefObject<import("@floating-ui/react-dom").ReferenceType | null>;
        floating: React.MutableRefObject<HTMLElement | null>;
        setReference: (node: import("@floating-ui/react-dom").ReferenceType | null) => void;
        setFloating: (node: HTMLElement | null) => void;
    } & import("@floating-ui/react").ExtendedRefs<import("@floating-ui/react").ReferenceType>;
    context: {
        x: number;
        y: number;
        placement: Placement;
        strategy: import("@floating-ui/utils").Strategy;
        middlewareData: import("@floating-ui/core").MiddlewareData;
        isPositioned: boolean;
        update: () => void;
        floatingStyles: React.CSSProperties;
        open: boolean;
        onOpenChange: (open: boolean, event?: Event, reason?: import("@floating-ui/react").OpenChangeReason) => void;
        events: import("@floating-ui/react").FloatingEvents;
        dataRef: React.MutableRefObject<import("@floating-ui/react").ContextData>;
        nodeId: string | undefined;
        floatingId: string;
        refs: import("@floating-ui/react").ExtendedRefs<import("@floating-ui/react").ReferenceType>;
        elements: import("@floating-ui/react").ExtendedElements<import("@floating-ui/react").ReferenceType>;
    };
    floatingStyles: import("react").CSSProperties;
    triggerProps: {
        ref: ((node: import("@floating-ui/react-dom").ReferenceType | null) => void) & ((node: import("@floating-ui/react").ReferenceType | null) => void);
    };
    getReferenceProps: (userProps?: React.HTMLProps<Element>) => Record<string, unknown>;
    getFloatingProps: (userProps?: React.HTMLProps<HTMLElement>) => Record<string, unknown>;
};
